window.__require = function t(e, n, a) {
function i(s, c) {
if (!n[s]) {
if (!e[s]) {
var r = s.split("/");
r = r[r.length - 1];
if (!e[r]) {
var l = "function" == typeof __require && __require;
if (!c && l) return l(r, !0);
if (o) return o(r, !0);
throw new Error("Cannot find module '" + s + "'");
}
s = r;
}
var u = n[s] = {
exports: {}
};
e[s][0].call(u.exports, function(t) {
return i(e[s][1][t] || t);
}, u, u.exports, t, e, n, a);
}
return n[s].exports;
}
for (var o = "function" == typeof __require && __require, s = 0; s < a.length; s++) i(a[s]);
return i;
}({
AudioManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "ec837HPHdhNmbkWqoAlSNAg", "AudioManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./../Enum"), i = t("./DataManager"), o = t("./ResourceManager"), s = function() {
function t() {
this.audioSource = null;
}
t.getInstance = function() {
if (null === this._instance) {
this._instance = new this();
this._instance.init();
}
return this._instance;
};
Object.defineProperty(t, "instance", {
get: function() {
return this.getInstance();
},
enumerable: !1,
configurable: !0
});
t.prototype.init = function() {
this.audioSource = new cc.AudioSource();
this.audioSource.loop = !0;
this.audioSource.volume = .3;
};
t.prototype.playMusic = function() {
return __awaiter(this, void 0, void 0, function() {
var t;
return __generator(this, function(e) {
switch (e.label) {
case 0:
if (!i.default.instance.isMusicOn) return [ 2 ];
if (this.audioSource.clip) {
this.audioSource.play();
return [ 2 ];
}
return [ 4, o.default.instance.getClip(a.ENUM_AUDIO_CLIP.BGM) ];

case 1:
t = e.sent();
this.audioSource.clip = t;
this.audioSource.play();
return [ 2 ];
}
});
});
};
t.prototype.stopMusic = function() {
this.audioSource.stop();
};
t.prototype.playSound = function(t, e) {
void 0 === e && (e = !1);
return __awaiter(this, void 0, void 0, function() {
var n;
return __generator(this, function(a) {
switch (a.label) {
case 0:
return i.default.instance.isSoundOn ? [ 4, o.default.instance.getClip(t) ] : [ 2 ];

case 1:
n = a.sent();
return [ 2, cc.audioEngine.playEffect(n, e) ];
}
});
});
};
t.prototype.stopSound = function(t) {
cc.audioEngine.stopEffect(t);
};
t._instance = null;
return t;
}();
n.default = s;
cc._RF.pop();
}, {
"./../Enum": "Enum",
"./DataManager": "DataManager",
"./ResourceManager": "ResourceManager"
} ],
Baselayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "85f2bS+gIxJj5wlc4XZ3Qd4", "Baselayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = cc._decorator, i = a.ccclass, o = (a.property, function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.speed = .3;
return e;
}
e.prototype.show = function() {
this.node.active = !0;
};
e.prototype.hide = function() {
this.node.active = !1;
};
e.prototype.fadeIn = function(t) {
t.setScale(1.5);
t.opacity = 0;
var e = cc.callFunc(function() {}, this), n = cc.sequence(cc.spawn(cc.fadeTo(this.speed, 255), cc.scaleTo(this.speed, 1)), e);
cc.tween(t).then(n).start();
};
return __decorate([ i ], e);
}(cc.Component));
n.default = o;
cc._RF.pop();
}, {} ],
Chess: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "b1d83VfSSJBCI4Gxk8HIDwL", "Chess");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./StaticInstance"), i = t("./Enum"), o = t("./manager/DataManager"), s = t("./Utils"), c = t("./manager/AudioManager"), r = cc._decorator, l = r.ccclass, u = r.property, d = function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.whiteSpriteFrame = null;
e.blackSpriteFrame = null;
e.isActive = !1;
e.tag = 0;
return e;
}
e.prototype.init = function(t, e) {
var n = cc.v2(45 * t, 45 * e);
this.node.setPosition(n);
this.tag = e * o.CHESS_TABLE_COL + t;
this.setTouch();
};
e.prototype.setTouch = function() {
var t = this;
this.node.on("click", function() {
if ((o.default.instance.status == i.ENUM_GAME_STATUS.BLACK || o.default.instance.status == i.ENUM_GAME_STATUS.WHITE) && !t.isActive) {
if (o.default.instance.status == i.ENUM_GAME_STATUS.BLACK) {
if (o.default.instance.role == i.ENUM_PLAYER_ROLE.PLAYER_WHITE) return;
t.setSpriteFrame(t.blackSpriteFrame);
} else {
if (o.default.instance.role == i.ENUM_PLAYER_ROLE.PLAYER_BLACK) return;
t.setSpriteFrame(t.whiteSpriteFrame);
}
o.default.instance.lastChess = t.node;
a.StaticInstance.gameManager.onGameCheck();
}
});
};
e.prototype.setSpriteFrame = function(t) {
void 0 === t && (t = null);
var e = s.toXY(this.node, a.StaticInstance.gameManager.effectRoot);
if (t) {
a.StaticInstance.effectManager.play("TouchEffect", {
pos: e
});
t == this.blackSpriteFrame ? c.default.instance.playSound("player_black") : c.default.instance.playSound("player_white");
this.isActive = !0;
this.node.getComponent(cc.Sprite).spriteFrame = t;
o.default.instance.mode == i.ENUM_GAME_MODE.SINGLE && o.default.instance.undoChesses.push(this.node);
} else {
a.StaticInstance.effectManager.play("TouchEffect2", {
pos: e
});
this.isActive = !1;
this.node.getComponent(cc.Sprite).spriteFrame = null;
}
};
e.prototype.getSpriteFrame = function() {
return this.node.getComponent(cc.Sprite).spriteFrame;
};
e.prototype.setSpiteFrameByType = function(t) {
void 0 === t && (t = 0);
0 == t ? this.setSpriteFrame(this.blackSpriteFrame) : this.setSpriteFrame(this.whiteSpriteFrame);
};
__decorate([ u(cc.SpriteFrame) ], e.prototype, "whiteSpriteFrame", void 0);
__decorate([ u(cc.SpriteFrame) ], e.prototype, "blackSpriteFrame", void 0);
return __decorate([ l ], e);
}(cc.Component);
n.default = d;
cc._RF.pop();
}, {
"./Enum": "Enum",
"./StaticInstance": "StaticInstance",
"./Utils": "Utils",
"./manager/AudioManager": "AudioManager",
"./manager/DataManager": "DataManager"
} ],
DataManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "730a3DszhpGB4lxakYD51PT", "DataManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.CHESS_OVER_NUM = n.CHESS_TABLE_COL = n.CHESS_TABLE_ROW = void 0;
var a = t("../Enum");
n.CHESS_TABLE_ROW = 15;
n.CHESS_TABLE_COL = 15;
n.CHESS_OVER_NUM = 5;
var i = function() {
function t() {
this.mode = a.ENUM_GAME_MODE.SINGLE;
this.status = a.ENUM_GAME_STATUS.UNRUNING;
this.role = a.ENUM_PLAYER_ROLE.PLAYER_WHITE;
this.chesses = [];
this.lastChess = null;
this.fiveChesses = [];
this.fiveGroup = [];
this.fiveGroupScore = [];
this.undoChesses = [];
this.singleScore = [ 0, 0 ];
this.battleScore = [ 0, 0 ];
this.user = null;
this.other = null;
this.loadingRate = 0;
this._isMusicOn = !0;
this._isSoundOn = !0;
this.games = [ {
title: "爬了个爬",
icon: "stairway",
appid: "",
url: "https://store.cocos.com/app/detail/4314"
}, {
title: "消了个消",
icon: "xiao2d",
appid: "",
url: "https://store.cocos.com/app/detail/4183"
}, {
title: "全民找茬PK",
icon: "fdiff",
appid: "",
url: "https://store.cocos.com/app/detail/4415"
}, {
title: "实况足球杯",
icon: "football",
appid: "",
url: "https://store.cocos.com/app/detail/4221"
}, {
title: "咩了个咩3D",
icon: "xiao3d",
appid: "",
url: "https://store.cocos.com/app/detail/4148"
}, {
title: "经典泡泡龙",
icon: "bubble",
appid: "",
url: "https://store.cocos.com/app/detail/4370"
} ];
this.lastSharedTime = null;
this.shareRoomId = null;
this.hallItem = null;
this.battleData = null;
this.isBattleGoonTouches = [];
}
t.getInstance = function() {
null === this._instance && (this._instance = new this());
return this._instance;
};
Object.defineProperty(t, "instance", {
get: function() {
return this.getInstance();
},
enumerable: !1,
configurable: !0
});
Object.defineProperty(t.prototype, "isMusicOn", {
get: function() {
return this._isMusicOn;
},
set: function(t) {
this._isMusicOn = t;
},
enumerable: !1,
configurable: !0
});
Object.defineProperty(t.prototype, "isSoundOn", {
get: function() {
return this._isSoundOn;
},
set: function(t) {
this._isSoundOn = t;
},
enumerable: !1,
configurable: !0
});
t.prototype.reset = function() {
this.status = a.ENUM_GAME_STATUS.UNRUNING;
this.chesses = [];
this.lastChess = null;
this.fiveChesses = [];
this.fiveGroup = [];
this.fiveGroupScore = [];
this.undoChesses = [];
this.isBattleGoonTouches = [];
};
t.prototype.save = function() {
cc.sys.localStorage.setItem("CC_GOBANG", JSON.stringify({
isSoundOn: this.isSoundOn,
isMusicOn: this.isMusicOn,
singleScore: this.singleScore,
battleScore: this.battleScore,
lastSharedTime: this.lastSharedTime,
user: this.user
}));
};
t.prototype.restore = function() {
var t = cc.sys.localStorage.getItem("CC_GOBANG");
try {
var e = JSON.parse(t);
this.isMusicOn = !1 !== (null == e ? void 0 : e.isMusicOn);
this.isSoundOn = !1 !== (null == e ? void 0 : e.isSoundOn);
this.singleScore = (null == e ? void 0 : e.singleScore) || [ 0, 0 ];
this.battleScore = (null == e ? void 0 : e.battleScore) || [ 0, 0 ], this.lastSharedTime = (null == e ? void 0 : e.lastSharedTime) || null;
this.user = (null == e ? void 0 : e.user) || null;
} catch (t) {
this.isMusicOn = !0;
this.isSoundOn = !0;
this.singleScore = [ 0, 0 ];
this.battleScore = [ 0, 0 ];
this.lastSharedTime = null;
this.user = null;
}
};
t.prototype.initFiveGroup = function() {
for (var t = 0; t < n.CHESS_TABLE_COL; t++) for (var e = 0; e < n.CHESS_TABLE_ROW - n.CHESS_OVER_NUM + 1; e++) this.fiveGroup.push([ t * n.CHESS_TABLE_COL + e, t * n.CHESS_TABLE_COL + e + 1, t * n.CHESS_TABLE_COL + e + 2, t * n.CHESS_TABLE_COL + e + 3, t * n.CHESS_TABLE_COL + e + 4 ]);
for (e = 0; e < n.CHESS_TABLE_ROW; e++) for (t = 0; t < n.CHESS_TABLE_COL - n.CHESS_OVER_NUM + 1; t++) this.fiveGroup.push([ t * n.CHESS_TABLE_ROW + e, (t + 1) * n.CHESS_TABLE_ROW + e, (t + 2) * n.CHESS_TABLE_ROW + e, (t + 3) * n.CHESS_TABLE_ROW + e, (t + 4) * n.CHESS_TABLE_ROW + e ]);
for (var a = -10; a <= 10; a++) for (e = 0; e < n.CHESS_TABLE_ROW - n.CHESS_OVER_NUM + 1; e++) a + e < 0 || a + e > 10 || this.fiveGroup.push([ (a + e) * n.CHESS_TABLE_COL + e, (a + e + 1) * n.CHESS_TABLE_COL + e + 1, (a + e + 2) * n.CHESS_TABLE_COL + e + 2, (a + e + 3) * n.CHESS_TABLE_COL + e + 3, (a + e + 4) * n.CHESS_TABLE_COL + e + 4 ]);
for (a = 4; a <= 24; a++) for (t = 0; t < n.CHESS_TABLE_COL - n.CHESS_OVER_NUM + 1; t++) a - t < 4 || a - t > 14 || this.fiveGroup.push([ t * n.CHESS_TABLE_ROW + a - t, (t + 1) * n.CHESS_TABLE_ROW + a - t - 1, (t + 2) * n.CHESS_TABLE_ROW + a - t - 2, (t + 3) * n.CHESS_TABLE_ROW + a - t - 3, (t + 4) * n.CHESS_TABLE_ROW + a - t - 4 ]);
};
t._instance = null;
return t;
}();
n.default = i;
cc._RF.pop();
}, {
"../Enum": "Enum"
} ],
EffectManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "def54s79C1DBq7aJq3x4CWS", "EffectManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../StaticInstance"), i = t("./PoolManager"), o = cc._decorator, s = o.ccclass, c = (o.property, 
function(t) {
__extends(e, t);
function e() {
return null !== t && t.apply(this, arguments) || this;
}
e.prototype.onLoad = function() {
a.StaticInstance.setEffectManager(this);
};
e.prototype.play = function(t, e) {
var n = i.default.instance.getNode("" + t, this.node);
e.pos && n.setPosition(e.pos);
if (n.getComponent(cc.Animation)) {
var a = n.getComponent(cc.Animation);
a.on("finished", function() {
n.removeFromParent();
});
a.play();
} else n.getComponent(cc.ParticleSystem) && n.getComponent(cc.ParticleSystem).resetSystem();
};
return __decorate([ s ], e);
}(cc.Component));
n.default = c;
cc._RF.pop();
}, {
"../StaticInstance": "StaticInstance",
"./PoolManager": "PoolManager"
} ],
Enum: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "50f2e0oDptJt4SjWGm8di2L", "Enum");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.ENUM_RESOURCE_TYPE = n.ENUM_UI_TYPE = n.ENUM_AUDIO_CLIP = n.ENUM_GAME_EVENT = n.ENUM_PLAYER_ROLE = n.ENUM_GAME_STATUS = n.ENUM_GAME_MODE = void 0;
(function(t) {
t.SINGLE = "SINGLE";
t.BATTLE = "BATTLE";
})(n.ENUM_GAME_MODE || (n.ENUM_GAME_MODE = {}));
(function(t) {
t.UNRUNING = "UNRUNING";
t.BLACK = "BLACK";
t.WHITE = "WHITE";
t.OVER = "OVER";
})(n.ENUM_GAME_STATUS || (n.ENUM_GAME_STATUS = {}));
(function(t) {
t.PLAYER_BLACK = "PLAYER_BLACK";
t.PLAYER_WHITE = "PLAYER_WHITE";
})(n.ENUM_PLAYER_ROLE || (n.ENUM_PLAYER_ROLE = {}));
n.ENUM_GAME_EVENT || (n.ENUM_GAME_EVENT = {});
(function(t) {
t.BGM = "bgm";
t.CLICK = "click";
t.LOSE = "lose";
t.WIN = "win";
t.UNDO = "undo";
t.PLAYER_BLACK = "player_black";
t.PLAYER_WHITE = "player_white";
})(n.ENUM_AUDIO_CLIP || (n.ENUM_AUDIO_CLIP = {}));
(function(t) {
t.MENU = "MenuLayer";
t.MAIN = "MainLayer";
t.SETTING = "SettingLayer";
t.LOSE = "LoseLayer";
t.WIN = "WinLayer";
t.MORE = "MoreLayer";
t.HALL = "HallLayer";
t.ROOM = "RoomLayer";
t.ROOM_CREATE = "RoomCreateLayer";
t.ROOM_JOIN = "RoomJoinLayer";
t.SHARE = "ShareLayer";
t.MASK = "MaskLayer";
})(n.ENUM_UI_TYPE || (n.ENUM_UI_TYPE = {}));
n.ENUM_RESOURCE_TYPE = [ {
content: cc.AudioClip,
path: "audio",
type: "audio",
ratio: .5
}, {
content: cc.Prefab,
path: "prefab",
type: "prefab",
ratio: .3
}, {
content: cc.SpriteFrame,
path: "sprite",
type: "sprite",
ratio: .2
} ];
cc._RF.pop();
}, {} ],
EventManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "bcae8q0UKhLAL4D4SoN+gEr", "EventManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = function() {
function t() {
this.eventMap = new Map();
}
t.getInstance = function() {
null === this._instance && (this._instance = new this());
return this._instance;
};
Object.defineProperty(t, "instance", {
get: function() {
return this.getInstance();
},
enumerable: !1,
configurable: !0
});
t.prototype.on = function(t, e, n) {
this.eventMap.has(t) ? this.eventMap.get(t).push({
event: e,
context: n
}) : this.eventMap.set(t, [ {
event: e,
context: n
} ]);
};
t.prototype.off = function(t, e) {
if (this.eventMap.has(t)) {
var n = this.eventMap.get(t), a = n.findIndex(function(t) {
return t.event == e;
});
a > -1 && n.splice(a, 1);
}
};
t.prototype.emit = function(t) {
for (var e = [], n = 1; n < arguments.length; n++) e[n - 1] = arguments[n];
if (this.eventMap.has(t)) {
var a = this.eventMap.get(t);
a.forEach(function(t) {
var n = t.event, a = t.context;
a ? n.apply(a, e) : n(e);
});
}
};
t.prototype.clear = function() {
this.eventMap.clear();
};
t._instance = null;
return t;
}();
n.default = a;
cc._RF.pop();
}, {} ],
GameManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "8d970VZoPFL/L9/Lg/KHxlp", "GameManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = cc._decorator, i = a.ccclass, o = (a.property, t("../Chess")), s = t("../Enum"), c = t("../StaticInstance"), r = t("../Utils"), l = t("./AudioManager"), u = t("./DataManager"), d = t("./PoolManager"), f = t("./ToastManager"), p = function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.tableNode = null;
e.effectRoot = null;
return e;
}
e.prototype.onLoad = function() {
c.StaticInstance.setGameManager(this);
this.tableNode = cc.find("Stage/GameRoot/Table", this.node);
this.effectRoot = cc.find("Stage/EffectRoot", this.node);
};
e.prototype.onDestroy = function() {};
e.prototype.onGameStart = function() {
u.default.instance.reset();
this.tableNode.removeAllChildren();
this.initGame();
};
e.prototype.initGame = function() {
var t = this;
u.default.instance.status = s.ENUM_GAME_STATUS.UNRUNING;
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE && (1 == r.random(0, 1) ? u.default.instance.role = s.ENUM_PLAYER_ROLE.PLAYER_BLACK : u.default.instance.role = s.ENUM_PLAYER_ROLE.PLAYER_WHITE);
console.log(u.default.instance.role);
for (var e = 0; e < u.CHESS_TABLE_COL; e++) for (var n = 0; n < u.CHESS_TABLE_ROW; n++) {
var a = d.default.instance.getNode("Chess", this.tableNode);
a.getComponent(o.default).init(n, e);
u.default.instance.chesses.push(a);
}
if (u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE) {
u.default.instance.initFiveGroup();
u.default.instance.other = {
openid: "",
avatar: "",
gender: 0,
nickname: "Bot",
win: u.default.instance.singleScore[1],
lose: u.default.instance.singleScore[0]
};
}
u.default.instance.status = s.ENUM_GAME_STATUS.BLACK;
c.StaticInstance.uiManager.setMainStartNotice();
c.StaticInstance.uiManager.setMainPlayerInfo();
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE && u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_WHITE && this.scheduleOnce(function() {
var e = u.default.instance.chesses[112].getComponent(o.default);
e.setSpriteFrame(e.blackSpriteFrame);
t.onGameTurn();
}, Math.min(Math.random() + 1, 2));
};
e.prototype.onGameCheck = function() {
for (var t = u.default.instance.lastChess, e = t.getComponent(o.default), n = e.tag % u.CHESS_TABLE_COL, a = parseInt("" + e.tag / u.CHESS_TABLE_ROW), i = 0, c = 0; c < u.CHESS_TABLE_ROW; c++) if ((p = u.default.instance.chesses[a * u.CHESS_TABLE_COL + c]).getComponent(o.default).getSpriteFrame() === e.getSpriteFrame()) {
i++;
u.default.instance.fiveChesses.push(p);
if (i == u.CHESS_OVER_NUM) {
if (u.default.instance.mode == s.ENUM_GAME_MODE.BATTLE) {
var r = t.getComponent(o.default).tag, l = u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? 0 : 1;
u.default.instance.battleData.chessTag = r;
u.default.instance.battleData.chessType = l;
u.default.instance.battleData.status = 1;
u.default.instance.battleData.lineTag = [];
u.default.instance.fiveChesses.forEach(function(t) {
var e = t.getComponent(o.default).tag;
u.default.instance.battleData.lineTag.push(e);
});
}
this.onGameOver();
return;
}
} else {
i = 0;
u.default.instance.fiveChesses = [];
}
i = 0;
u.default.instance.fiveChesses = [];
for (var d = 0; d < u.CHESS_TABLE_COL; d++) if ((p = u.default.instance.chesses[d * u.CHESS_TABLE_ROW + n]).getComponent(o.default).getSpriteFrame() === e.getSpriteFrame()) {
i++;
u.default.instance.fiveChesses.push(p);
if (i == u.CHESS_OVER_NUM) {
if (u.default.instance.mode == s.ENUM_GAME_MODE.BATTLE) {
r = t.getComponent(o.default).tag, l = u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? 0 : 1;
u.default.instance.battleData.chessTag = r;
u.default.instance.battleData.chessType = l;
u.default.instance.battleData.status = 1;
u.default.instance.battleData.lineTag = [];
u.default.instance.fiveChesses.forEach(function(t) {
var e = t.getComponent(o.default).tag;
u.default.instance.battleData.lineTag.push(e);
});
}
this.onGameOver();
return;
}
} else {
i = 0;
u.default.instance.fiveChesses = [];
}
i = 0;
u.default.instance.fiveChesses = [];
var f = a - n;
for (c = 0; c < u.CHESS_TABLE_ROW; c++) if (!(f + c < 0 || f + c > u.CHESS_TABLE_COL - 1)) if ((p = u.default.instance.chesses[(f + c) * u.CHESS_TABLE_COL + c]).getComponent(o.default).getSpriteFrame() === e.getSpriteFrame()) {
i++;
u.default.instance.fiveChesses.push(p);
if (i == u.CHESS_OVER_NUM) {
if (u.default.instance.mode == s.ENUM_GAME_MODE.BATTLE) {
r = t.getComponent(o.default).tag, l = u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? 0 : 1;
u.default.instance.battleData.chessTag = r;
u.default.instance.battleData.chessType = l;
u.default.instance.battleData.status = 1;
u.default.instance.battleData.lineTag = [];
u.default.instance.fiveChesses.forEach(function(t) {
var e = t.getComponent(o.default).tag;
u.default.instance.battleData.lineTag.push(e);
});
}
this.onGameOver();
return;
}
} else {
i = 0;
u.default.instance.fiveChesses = [];
}
i = 0;
u.default.instance.fiveChesses = [];
f = a + n;
for (c = 0; c < u.CHESS_TABLE_ROW; c++) if (!(f - c < 0 || f - c > u.CHESS_TABLE_COL - 1)) {
var p;
if ((p = u.default.instance.chesses[(f - c) * u.CHESS_TABLE_COL + c]).getComponent(o.default).getSpriteFrame() === e.getSpriteFrame()) {
i++;
u.default.instance.fiveChesses.push(p);
if (i == u.CHESS_OVER_NUM) {
if (u.default.instance.mode == s.ENUM_GAME_MODE.BATTLE) {
r = t.getComponent(o.default).tag, l = u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? 0 : 1;
u.default.instance.battleData.chessTag = r;
u.default.instance.battleData.chessType = l;
u.default.instance.battleData.status = 1;
u.default.instance.battleData.lineTag = [];
u.default.instance.fiveChesses.forEach(function(t) {
var e = t.getComponent(o.default).tag;
u.default.instance.battleData.lineTag.push(e);
});
}
this.onGameOver();
return;
}
} else {
i = 0;
u.default.instance.fiveChesses = [];
}
}
if (u.default.instance.mode == s.ENUM_GAME_MODE.BATTLE) {
r = t.getComponent(o.default).tag, l = u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? 0 : 1;
u.default.instance.battleData.chessTag = r;
u.default.instance.battleData.chessType = l;
u.default.instance.battleData.status = 0;
}
this.onGameTurn();
};
e.prototype.onGameOver = function() {
var t = s.ENUM_UI_TYPE.LOSE;
if (u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK) if (u.default.instance.status === s.ENUM_GAME_STATUS.BLACK) {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.WIN);
t = s.ENUM_UI_TYPE.WIN;
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE ? u.default.instance.singleScore[0] += 1 : u.default.instance.battleScore[0] += 1;
} else {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.LOSE);
t = s.ENUM_UI_TYPE.LOSE;
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE ? u.default.instance.singleScore[1] += 1 : u.default.instance.battleScore[1] += 1;
} else if (u.default.instance.status === s.ENUM_GAME_STATUS.WHITE) {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.WIN);
t = s.ENUM_UI_TYPE.WIN;
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE ? u.default.instance.singleScore[0] += 1 : u.default.instance.battleScore[0] += 1;
} else {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.LOSE);
t = s.ENUM_UI_TYPE.LOSE;
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE ? u.default.instance.singleScore[1] += 1 : u.default.instance.battleScore[1] += 1;
}
u.default.instance.save();
u.default.instance.status = s.ENUM_GAME_STATUS.OVER;
this.drawLine();
this.scheduleOnce(function() {
c.StaticInstance.uiManager.toggle(t);
}, 1.5);
};
e.prototype.onGameTurn = function() {
var t = this;
u.default.instance.status == s.ENUM_GAME_STATUS.BLACK ? u.default.instance.status = s.ENUM_GAME_STATUS.WHITE : u.default.instance.status = s.ENUM_GAME_STATUS.BLACK;
u.default.instance.mode == s.ENUM_GAME_MODE.SINGLE && (u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? u.default.instance.status == s.ENUM_GAME_STATUS.WHITE && this.scheduleOnce(function() {
t.aiAction();
}, Math.min(Math.random() + .5, 1)) : u.default.instance.status == s.ENUM_GAME_STATUS.BLACK && this.scheduleOnce(function() {
t.aiAction();
}, Math.min(Math.random() + .5, 1)));
c.StaticInstance.uiManager.onMainPlayerChange();
};
e.prototype.drawLine = function() {
if (u.default.instance.fiveChesses.length > 1) {
for (var t = u.default.instance.fiveChesses[0].position, e = [], n = 1; n < u.default.instance.fiveChesses.length; n++) {
var a = u.default.instance.fiveChesses[n].position;
e.push({
start: t,
end: a
});
t = a;
}
for (n = 0; n < e.length; n++) {
var i = d.default.instance.getNode("Line", this.tableNode);
i.getComponent("Line").show();
var o = e[n];
i.getComponent("Line").setLinePosition(o.start, o.end);
}
}
};
e.prototype.onBattleRefresh = function(t) {
if (c.StaticInstance.uiManager.isActive(s.ENUM_UI_TYPE.MAIN) && !c.StaticInstance.uiManager.isActive(s.ENUM_UI_TYPE.WIN) && !c.StaticInstance.uiManager.isActive(s.ENUM_UI_TYPE.LOSE)) {
t.chessTag && u.default.instance.chesses.find(function(e) {
return e.getComponent(o.default).tag == t.chessTag;
}).getComponent(o.default).setSpiteFrameByType(t.chessType);
if (0 == t.status) this.onGameTurn(); else {
var e = s.ENUM_UI_TYPE.LOSE;
if (0 == t.chessType) if (u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK) {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.WIN);
e = s.ENUM_UI_TYPE.WIN;
u.default.instance.battleScore[0] += 1;
} else {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.LOSE);
e = s.ENUM_UI_TYPE.LOSE;
u.default.instance.battleScore[1] += 1;
} else if (u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_WHITE) {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.WIN);
e = s.ENUM_UI_TYPE.WIN;
u.default.instance.battleScore[0] += 1;
} else {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.LOSE);
e = s.ENUM_UI_TYPE.LOSE;
u.default.instance.battleScore[1] += 1;
}
u.default.instance.save();
u.default.instance.status = s.ENUM_GAME_STATUS.OVER;
if (t.lineTag && t.lineTag.length >= 5) {
u.default.instance.fiveChesses = [];
t.lineTag.forEach(function(t) {
var e = u.default.instance.chesses.find(function(e) {
return e.getComponent(o.default).tag == t;
});
u.default.instance.fiveChesses.push(e);
});
this.drawLine();
} else f.default.instance.show("对手掉线，不战而胜", {
gravity: "BOTTOM",
bg_color: cc.color(102, 202, 28, 255)
});
this.scheduleOnce(function() {
c.StaticInstance.uiManager.toggle(s.ENUM_UI_TYPE.SETTING, !1);
c.StaticInstance.uiManager.toggle(e);
}, 1.5);
}
}
};
e.prototype.aiAction = function() {
for (var t = 0; t < u.default.instance.fiveGroup.length; t++) {
for (var e = 0, n = 0, a = 0; a < 5; a++) {
var i = u.default.instance.chesses[u.default.instance.fiveGroup[t][a]].getComponent(o.default);
(p = i.getSpriteFrame()) == i.blackSpriteFrame ? e++ : p == i.whiteSpriteFrame && n++;
}
e + n == 0 ? u.default.instance.fiveGroupScore[t] = 1 : e > 0 && n > 0 ? u.default.instance.fiveGroupScore[t] = 0 : 0 == e && 1 == n ? u.default.instance.fiveGroupScore[t] = 3 : 0 == e && 2 == n ? u.default.instance.fiveGroupScore[t] = 5 : 0 == e && 3 == n ? u.default.instance.fiveGroupScore[t] = 7 : 0 == e && 4 == n ? u.default.instance.fiveGroupScore[t] = 9 : 0 == n && 1 == e ? u.default.instance.fiveGroupScore[t] = 2 : 0 == n && 2 == e ? u.default.instance.fiveGroupScore[t] = 4 : 0 == n && 3 == e ? u.default.instance.fiveGroupScore[t] = 6 : 0 == n && 4 == e && (u.default.instance.fiveGroupScore[t] = 8);
}
var c = 0, r = 0;
for (t = 0; t < u.default.instance.fiveGroupScore.length; t++) if (u.default.instance.fiveGroupScore[t] > c) {
c = u.default.instance.fiveGroupScore[t];
r = t;
}
var l = !1, d = !1, f = 0;
for (t = 0; t < 5; t++) {
var p = u.default.instance.chesses[u.default.instance.fiveGroup[r][t]].getComponent(o.default).getSpriteFrame();
l || null != p || (f = t);
if (!d && null != p) {
l = !0;
d = !0;
}
if (d && null == p) {
f = t;
break;
}
}
var h = u.default.instance.chesses[u.default.instance.fiveGroup[r][f]], g = h.getComponent(o.default);
u.default.instance.role == s.ENUM_PLAYER_ROLE.PLAYER_BLACK ? g.setSpriteFrame(g.whiteSpriteFrame) : g.setSpriteFrame(g.blackSpriteFrame);
u.default.instance.lastChess = h;
this.onGameCheck();
};
e.prototype.onGameUndo = function() {
if (u.default.instance.undoChesses.length >= 2) {
l.default.instance.playSound(s.ENUM_AUDIO_CLIP.UNDO);
for (var t = 0; t < 2; t++) u.default.instance.undoChesses.pop().getComponent(o.default).setSpriteFrame(null);
} else f.default.instance.show("肠子都悔青了！", {
gravity: "BOTTOM"
});
};
return __decorate([ i ], e);
}(cc.Component);
n.default = p;
cc._RF.pop();
}, {
"../Chess": "Chess",
"../Enum": "Enum",
"../StaticInstance": "StaticInstance",
"../Utils": "Utils",
"./AudioManager": "AudioManager",
"./DataManager": "DataManager",
"./PoolManager": "PoolManager",
"./ToastManager": "ToastManager"
} ],
HallLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "777edio18dMKq0BpbYhBCyW", "HallLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./../StaticInstance"), i = t("./../Enum"), o = t("../manager/AudioManager"), s = t("../manager/DataManager"), c = t("./Baselayer"), r = t("../manager/PoolManager"), l = t("../plugins/UIScrollControl"), u = t("../Utils"), d = t("../manager/ResourceManager"), f = cc._decorator, p = f.ccclass, h = (f.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnClose = null;
e.btnCreate = null;
e.scrollNode = null;
e.scrollItem = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.btnClose = cc.find("btn_close", this.panel);
this.btnCreate = cc.find("btn_create", this.panel);
this.btnClose.on("click", this.onCloseClick, this);
this.btnCreate.on("click", this.onCreateClick, this);
this.scrollNode = cc.find("scroll", this.panel);
this.scrollItem = r.default.instance.getNode("HallItem");
};
e.prototype.onDestroy = function() {
this.btnClose.off("click", this.onCloseClick, this);
this.btnCreate.off("click", this.onCreateClick, this);
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
this.connect();
};
e.prototype.onDisable = function() {};
e.prototype.rendor = function(t) {
var e = this;
if (a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.HALL)) {
var n = !1;
this.scrollNode.getComponent(l.default).initControl(this.scrollItem, t.length, cc.size(560, 110), 0, function(a, i) {
if (!n) {
n = !0;
e.scrollNode.getComponent(cc.ScrollView).scrollToTop();
}
var o = t[i], s = o.black, c = a.getChildByName("avatar");
if (s.avatar) u.wxAvatar(s.avatar).then(function(t) {
c.getComponent(cc.Sprite).spriteFrame = new cc.SpriteFrame(t);
c.active = !0;
}); else {
c.getComponent(cc.Sprite).spriteFrame = d.default.instance.getSprite("111");
c.active = !0;
}
a.getChildByName("nickname").getComponent(cc.Label).string = "" + s.nickname;
a.getChildByName("lock").active = "" != o.password;
var r = a.getChildByName("btn_join");
if (r.hasEventListener("click")) {
r.off("click");
r.on("click", function() {
e.onItemClick(o);
}, e);
} else r.on("click", function() {
e.onItemClick(o);
}, e);
}, function(t) {
t.scrollToTop();
});
}
};
e.prototype.connect = function() {};
e.prototype.unconnect = function() {};
e.prototype.onItemClick = function(t) {
return __awaiter(this, void 0, void 0, function() {
return __generator(this, function() {
if (t.password) {
s.default.instance.hallItem = t;
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM_JOIN);
} else {
t.id, t.password, t.black_openid, s.default.instance.user.openid;
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM);
}
return [ 2 ];
});
});
};
e.prototype.onCloseClick = function() {
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.MENU);
this.unconnect();
};
e.prototype.onCreateClick = function() {
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM_CREATE);
};
return __decorate([ p ], e);
}(c.default));
n.default = h;
cc._RF.pop();
}, {
"../Utils": "Utils",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/PoolManager": "PoolManager",
"../manager/ResourceManager": "ResourceManager",
"../plugins/UIScrollControl": "UIScrollControl",
"./../Enum": "Enum",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
Index: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "bd1a12oV81Cu7bBxEAPpr3S", "Index");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./StaticInstance"), i = t("./Enum"), o = t("./manager/AudioManager"), s = t("./manager/DataManager"), c = t("./manager/ResourceManager"), r = t("./manager/SdkManager"), l = t("./manager/ToastManager"), u = cc._decorator, d = u.ccclass, f = (u.property, 
function(t) {
__extends(e, t);
function e() {
return null !== t && t.apply(this, arguments) || this;
}
e.prototype.onLoad = function() {
var t = this;
cc.view.setResizeCallback(function() {
return t.responsive();
});
this.responsive();
};
e.prototype.start = function() {
return __awaiter(this, void 0, void 0, function() {
var t, e, n, l, u;
return __generator(this, function(d) {
switch (d.label) {
case 0:
t = [];
for (e in i.ENUM_RESOURCE_TYPE) t.push(e);
n = 0;
d.label = 1;

case 1:
if (!(n < t.length)) return [ 3, 4 ];
l = t[n];
u = i.ENUM_RESOURCE_TYPE[l];
return [ 4, c.default.instance.loadRes(u) ];

case 2:
d.sent();
d.label = 3;

case 3:
n++;
return [ 3, 1 ];

case 4:
a.StaticInstance.uiManager.init();
s.default.instance.restore();
o.default.instance.playMusic();
r.default.instance.init();
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.MENU, !0, function() {
s.default.instance.loadingRate = 1;
});
return [ 2 ];
}
});
});
};
e.prototype.checkShared = function() {
var t = this;
if (cc.sys.platform == cc.sys.WECHAT_GAME) {
var e = r.default.instance.getShareQuery("roomId");
if (e) {
var n = r.default.instance.getShareQuery("shareTime");
!s.default.instance.lastSharedTime || n > s.default.instance.lastSharedTime ? this.joinRoom(e, n) : l.default.instance.show("邀请已失效", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
}
window.wx.onShow(function(e) {
var n = e.query.roomId;
if (n) {
var a = e.query.shareTime;
!s.default.instance.lastSharedTime || a > s.default.instance.lastSharedTime ? t.joinRoom(n, a) : l.default.instance.show("邀请已失效", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
}
});
}
};
e.prototype.joinRoom = function(t, e) {
return __awaiter(this, void 0, void 0, function() {
return __generator(this, function() {
if (a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.MENU) || a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.HALL) || a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.ROOM_CREATE) || a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.ROOM_JOIN) || a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.MORE)) {
s.default.instance.shareRoomId = t;
s.default.instance.lastSharedTime = e;
s.default.instance.save();
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.SHARE);
} else l.default.instance.show("对战中，未能接受邀请", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return [ 2 ];
});
});
};
e.prototype.responsive = function() {
var t = cc.view.getDesignResolutionSize(), e = cc.view.getFrameSize(), n = function() {
cc.Canvas.instance.fitHeight = !0;
cc.Canvas.instance.fitWidth = !0;
}, a = t.width / t.height, i = e.width / e.height;
a < 1 ? i < 1 ? i > a ? n() : function() {
cc.Canvas.instance.fitHeight = !1;
cc.Canvas.instance.fitWidth = !0;
}() : n() : i > 1 ? i < a ? n() : function() {
cc.Canvas.instance.fitHeight = !0;
cc.Canvas.instance.fitWidth = !1;
}() : n();
};
return __decorate([ d ], e);
}(cc.Component));
n.default = f;
cc._RF.pop();
}, {
"./Enum": "Enum",
"./StaticInstance": "StaticInstance",
"./manager/AudioManager": "AudioManager",
"./manager/DataManager": "DataManager",
"./manager/ResourceManager": "ResourceManager",
"./manager/SdkManager": "SdkManager",
"./manager/ToastManager": "ToastManager"
} ],
Line: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "50c51hDfLRF7blwQ2mVz0m5", "Line");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = cc._decorator, i = a.ccclass, o = (a.property, cc.Enum({
SHOW: "linkLineShow",
NORMAL: "linkLineNormal"
})), s = function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.animation = null;
return e;
}
e.prototype.onLoad = function() {
this.animation = this.node.getComponent(cc.Animation);
};
e.prototype.show = function() {
var t = this;
this.animation.play(o.SHOW);
this.animation.once("finished", function() {
t.animation.play(o.NORMAL);
});
};
e.prototype.setLinePosition = function(t, e) {
var n = e.sub(t), a = cc.v2(t.x + n.x / 2, t.y + n.y / 2);
this.node.setPosition(a);
var i;
i = 0 !== n.x ? cc.misc.radiansToDegrees(Math.atan(n.y / n.x)) : 90;
this.node.angle = i;
};
return __decorate([ i ], e);
}(cc.Component);
n.default = s;
cc._RF.pop();
}, {} ],
LoadingLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "0d076ynxVpJ6Ys/SGfhiZtJ", "LoadingLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("../manager/DataManager"), o = t("./Baselayer"), s = t("../StaticInstance"), c = cc._decorator, r = c.ccclass, l = c.property, u = function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.loadfill = null;
return e;
}
e.prototype.onEnable = function() {};
e.prototype.onDisable = function() {};
e.prototype.update = function() {
if (this.loadfill && this.node.active) {
this.loadfill.fillRange = i.default.instance.loadingRate;
i.default.instance.loadingRate >= 1 && s.StaticInstance.uiManager.isActive(a.ENUM_UI_TYPE.MENU) && this.hide();
}
};
__decorate([ l(cc.Sprite) ], e.prototype, "loadfill", void 0);
return __decorate([ r ], e);
}(o.default);
n.default = u;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../StaticInstance": "StaticInstance",
"../manager/DataManager": "DataManager",
"./Baselayer": "Baselayer"
} ],
LoseLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "b601bhCGWNK+ZoaczgoGYv3", "LoseLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("./../StaticInstance"), o = t("../manager/AudioManager"), s = t("./Baselayer"), c = t("../manager/SdkManager"), r = t("../manager/DataManager"), l = t("../manager/ToastManager"), u = cc._decorator, d = u.ccclass, f = (u.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnRestart = null;
e.btnShare = null;
e.btnStart = null;
e.btnStartOn = null;
e.btnStartOff = null;
e.btnExit = null;
e.singleActionNode = null;
e.battleActionNode = null;
e.backNode = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.singleActionNode = cc.find("single", this.panel);
this.battleActionNode = cc.find("battle", this.panel);
this.btnRestart = cc.find("single/btn_restart", this.panel);
this.btnShare = cc.find("single/btn_share", this.panel);
this.btnRestart.on("click", this.onRestartClick, this);
this.btnShare.on("click", this.onShareClick, this);
this.btnStart = cc.find("battle/btn_start", this.panel);
this.btnExit = cc.find("battle/btn_exit", this.panel);
this.btnStartOn = cc.find("on", this.btnStart);
this.btnStartOff = cc.find("off", this.btnStart);
this.btnStartOn.on("click", this.onStartClick, this);
this.btnExit.on("click", this.onExitClick, this);
this.backNode = cc.find("back", this.node);
this.backNode.on("click", this.onClickBack, this);
};
e.prototype.onClickBack = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.LOSE, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !0);
};
e.prototype.onDestroy = function() {
this.btnRestart.off("click", this.onRestartClick, this);
this.btnShare.off("click", this.onShareClick, this);
this.btnStart.off("click", this.onStartClick, this);
this.btnExit.off("click", this.onExitClick, this);
this.backNode.off("click", this.onClickBack, this);
r.default.instance.wsClient.unlistenMsgAll("BattleRestart");
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
this.singleActionNode.active = r.default.instance.mode == a.ENUM_GAME_MODE.SINGLE;
this.battleActionNode.active = r.default.instance.mode == a.ENUM_GAME_MODE.BATTLE;
this.btnStartOn.active = !0;
this.btnStartOff.active = !1;
var t = cc.sys.localStorage.getItem("money_qizi"), e = parseInt(t) - 20;
cc.sys.localStorage.setItem("money_qizi", e);
};
e.prototype.onDisable = function() {};
e.prototype.onRestartClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.LOSE, !1);
i.StaticInstance.gameManager.onGameStart();
};
e.prototype.onShareClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
c.default.instance.activeShare();
};
e.prototype.onStartClick = function() {
return __awaiter(this, void 0, void 0, function() {
var t, e, n;
return __generator(this, function(s) {
switch (s.label) {
case 0:
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
r.default.instance.isBattleGoonTouches.push(!0);
this.btnStartOn.active = !1;
this.btnStartOff.active = !0;
t = r.default.instance.hallItem;
"";
e = r.default.instance.role == a.ENUM_PLAYER_ROLE.PLAYER_BLACK ? t.white_openid : t.black_openid;
return [ 4, r.default.instance.wsClient.callApi("BattleRestart", {
rid: t.id,
openid: e
}) ];

case 1:
if ((n = s.sent()).isSucc) return [ 3, 3 ];
l.default.instance.show(n.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return [ 4, r.default.instance.wsClient.callApi("RoomLeave", {
user: r.default.instance.user
}) ];

case 2:
s.sent();
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.LOSE, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.HALL);
s.label = 3;

case 3:
r.default.instance.isBattleGoonTouches.length >= 2 && this.onGameRestart(n.res);
return [ 2 ];
}
});
});
};
e.prototype.onBattleRestart = function(t) {
if (i.StaticInstance.uiManager.isActive(a.ENUM_UI_TYPE.LOSE)) {
r.default.instance.isBattleGoonTouches.push(!0);
r.default.instance.isBattleGoonTouches.length >= 2 && this.onGameRestart(t);
}
};
e.prototype.onGameRestart = function(t) {
var e = {
id: r.default.instance.hallItem.id,
password: r.default.instance.hallItem.password,
black_openid: t.black.openid,
white_openid: t.white.openid,
black: t.black,
white: t.white
};
r.default.instance.hallItem = e;
r.default.instance.battleData = t;
var n = r.default.instance.user;
r.default.instance.mode = a.ENUM_GAME_MODE.BATTLE;
if (n.openid == t.black.openid) {
r.default.instance.role = a.ENUM_PLAYER_ROLE.PLAYER_BLACK;
r.default.instance.other = t.white;
} else {
r.default.instance.role = a.ENUM_PLAYER_ROLE.PLAYER_WHITE;
r.default.instance.other = t.black;
}
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.LOSE, !1);
i.StaticInstance.gameManager.onGameStart();
};
e.prototype.onExitClick = function() {
return __awaiter(this, void 0, void 0, function() {
return __generator(this, function(t) {
switch (t.label) {
case 0:
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
return [ 4, r.default.instance.wsClient.callApi("RoomLeave", {
user: r.default.instance.user
}) ];

case 1:
t.sent();
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.LOSE, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.HALL);
return [ 2 ];
}
});
});
};
return __decorate([ d ], e);
}(s.default));
n.default = f;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/SdkManager": "SdkManager",
"../manager/ToastManager": "ToastManager",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
MainLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "995d75Ra29EXY7A+cLQ/Mrd", "MainLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("../manager/AudioManager"), o = t("../manager/DataManager"), s = t("../manager/ResourceManager"), c = t("../manager/SdkManager"), r = t("../manager/ToastManager"), l = t("../StaticInstance"), u = t("../Utils"), d = t("./Baselayer"), f = cc._decorator, p = f.ccclass, h = (f.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.btnSetting = null;
e.btnUndo = null;
e.p1Node = null;
e.p2Node = null;
e.chessNode = null;
e.startNoticeNode = null;
e.failNode = null;
return e;
}
e.prototype.onLoad = function() {
this.btnSetting = cc.find("btn_setting", this.node);
this.btnSetting.on("click", this.onSettingClick, this);
this.p1Node = cc.find("bar/1p", this.node);
this.p2Node = cc.find("bar/2p", this.node);
this.chessNode = cc.find("bar/chess", this.node);
this.btnUndo = cc.find("btn_undo", this.node);
this.startNoticeNode = cc.find("startNotice", this.node);
this.failNode = cc.find("fail", this.node);
this.failNode.on("click", this.onClickBack, this);
};
e.prototype.onClickBack = function() {
i.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
l.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
l.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !0);
};
e.prototype.onDestroy = function() {
this.btnSetting.off("click", this.onSettingClick, this);
this.failNode.off("click", this.onClickBack, this);
};
e.prototype.onEnable = function() {
this.btnUndo.active = o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE;
};
e.prototype.onDisable = function() {};
e.prototype.onSettingClick = function() {
i.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
l.StaticInstance.uiManager.setSettingStyle(1);
l.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.SETTING);
};
e.prototype.setStartNotice = function() {
this.startNoticeNode.opacity = 255;
this.startNoticeNode.stopAllActions();
this.startNoticeNode.x = 560;
var t = this.startNoticeNode.children;
if (o.default.instance.role == a.ENUM_PLAYER_ROLE.PLAYER_BLACK) {
t[0].active = !0;
t[1].active = !1;
} else {
t[0].active = !1;
t[1].active = !0;
}
var e = cc.moveTo(.5, 0, this.startNoticeNode.y), n = cc.delayTime(.3), i = cc.fadeOut(.5), s = cc.sequence(e, n, i);
cc.tween(this.startNoticeNode).then(s).start();
};
e.prototype.setPlayerInfo = function() {
var t = o.default.instance.user, e = o.default.instance.other, n = cc.find("icon/node/avatar", this.p1Node);
if (t.avatar) u.wxAvatar(t.avatar).then(function(t) {
n.getComponent(cc.Sprite).spriteFrame = new cc.SpriteFrame(t);
n.active = !0;
}); else {
n.getComponent(cc.Sprite).spriteFrame = s.default.instance.getSprite("111");
n.active = !0;
}
this.p1Node.getChildByName("nickname").getComponent(cc.Label).string = "你";
o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE ? this.p1Node.getChildByName("tip").getComponent(cc.Label).string = "胜场 " + o.default.instance.singleScore[0] + " 负场 " + o.default.instance.singleScore[1] : this.p1Node.getChildByName("tip").getComponent(cc.Label).string = "胜场 " + o.default.instance.battleScore[0] + " 负场 " + o.default.instance.battleScore[1];
var i = cc.find("icon/node/avatar", this.p2Node);
if (e.avatar) u.wxAvatar(e.avatar).then(function(t) {
i.getComponent(cc.Sprite).spriteFrame = new cc.SpriteFrame(t);
i.active = !0;
}); else {
i.getComponent(cc.Sprite).spriteFrame = s.default.instance.getSprite("111");
i.active = !0;
}
this.p2Node.getChildByName("nickname").getComponent(cc.Label).string = "" + e.nickname;
this.p2Node.getChildByName("tip").getComponent(cc.Label).string = "胜场 " + e.win + " 负场 " + e.lose;
if (o.default.instance.role == a.ENUM_PLAYER_ROLE.PLAYER_BLACK) {
this.p1Node.getChildByName("active").active = !0;
this.p2Node.getChildByName("active").active = !1;
} else {
this.p1Node.getChildByName("active").active = !1;
this.p2Node.getChildByName("active").active = !0;
}
if (o.default.instance.status == a.ENUM_GAME_STATUS.BLACK) {
this.chessNode.getChildByName("stone_black").active = !0;
this.chessNode.getChildByName("stone_white").active = !1;
} else {
this.chessNode.getChildByName("stone_black").active = !1;
this.chessNode.getChildByName("stone_white").active = !0;
}
if (o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE) {
this.btnUndo.getChildByName("on").active = !1;
this.btnUndo.getChildByName("off").active = !0;
this.btnUndo.active = !0;
this.btnUndo.getChildByName("on").hasEventListener("click") || this.btnUndo.getChildByName("on").on("click", this.onUndoClick, this);
} else this.btnUndo.active = !1;
};
e.prototype.onPlayerChange = function() {
if (o.default.instance.role == a.ENUM_PLAYER_ROLE.PLAYER_BLACK) if (o.default.instance.status == a.ENUM_GAME_STATUS.BLACK) {
this.p1Node.getChildByName("active").active = !0;
this.p2Node.getChildByName("active").active = !1;
this.chessNode.getChildByName("stone_black").active = !0;
this.chessNode.getChildByName("stone_white").active = !1;
if (o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE) if (o.default.instance.undoChesses.length >= 2) {
this.btnUndo.getChildByName("on").active = !0;
this.btnUndo.getChildByName("off").active = !1;
} else {
this.btnUndo.getChildByName("on").active = !1;
this.btnUndo.getChildByName("off").active = !0;
}
} else {
this.p1Node.getChildByName("active").active = !1;
this.p2Node.getChildByName("active").active = !0;
this.chessNode.getChildByName("stone_black").active = !1;
this.chessNode.getChildByName("stone_white").active = !0;
if (o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE) {
this.btnUndo.getChildByName("on").active = !1;
this.btnUndo.getChildByName("off").active = !0;
}
} else if (o.default.instance.status == a.ENUM_GAME_STATUS.WHITE) {
this.p1Node.getChildByName("active").active = !0;
this.p2Node.getChildByName("active").active = !1;
this.chessNode.getChildByName("stone_black").active = !1;
this.chessNode.getChildByName("stone_white").active = !0;
if (o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE) if (o.default.instance.undoChesses.length >= 2) {
this.btnUndo.getChildByName("on").active = !0;
this.btnUndo.getChildByName("off").active = !1;
} else {
this.btnUndo.getChildByName("on").active = !1;
this.btnUndo.getChildByName("off").active = !0;
}
} else {
this.p1Node.getChildByName("active").active = !1;
this.p2Node.getChildByName("active").active = !0;
this.chessNode.getChildByName("stone_black").active = !0;
this.chessNode.getChildByName("stone_white").active = !1;
if (o.default.instance.mode == a.ENUM_GAME_MODE.SINGLE) {
this.btnUndo.getChildByName("on").active = !1;
this.btnUndo.getChildByName("off").active = !0;
}
}
};
e.prototype.onUndoClick = function() {
c.default.instance.showVideoAd(function() {
l.StaticInstance.gameManager.onGameUndo();
}, function() {
r.default.instance.show("视频播放中断", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
}, "4655585732169049");
};
return __decorate([ p ], e);
}(d.default));
n.default = h;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../StaticInstance": "StaticInstance",
"../Utils": "Utils",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/ResourceManager": "ResourceManager",
"../manager/SdkManager": "SdkManager",
"../manager/ToastManager": "ToastManager",
"./Baselayer": "Baselayer"
} ],
MaskLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "0aa74rpMABN+5rv6cXIuCCo", "MaskLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./Baselayer"), i = cc._decorator, o = i.ccclass, s = (i.property, function(t) {
__extends(e, t);
function e() {
return null !== t && t.apply(this, arguments) || this;
}
return __decorate([ o ], e);
}(a.default));
n.default = s;
cc._RF.pop();
}, {
"./Baselayer": "Baselayer"
} ],
MenuLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "94d9eW2z5xN9KXMq6SiqvtZ", "MenuLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("./../StaticInstance"), o = t("../manager/AudioManager"), s = t("./Baselayer"), c = t("../manager/DataManager"), r = t("../Utils"), l = t("../manager/SdkManager"), u = t("../manager/ToastManager"), d = cc._decorator, f = d.ccclass, p = (d.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.btnStart = null;
e.btnBattle = null;
e.btnSetting = null;
e.btnGames = null;
e.btnShare = null;
e.btnVideo = null;
e.moneyLabel = null;
return e;
}
e.prototype.onLoad = function() {
this.btnStart = cc.find("buttons/btn_start", this.node);
this.btnBattle = cc.find("buttons/btn_battle", this.node);
this.btnSetting = cc.find("bottom/btn_setting", this.node);
this.btnGames = cc.find("bottom/btn_games", this.node);
this.btnShare = cc.find("bottom/btn_share", this.node);
this.btnVideo = cc.find("video", this.node);
this.btnStart.on("click", this.onStartClick, this);
this.btnBattle.on("click", this.onBattleClick, this);
this.btnSetting.on("click", this.onSettingClick, this);
this.btnGames.on("click", this.onGamesClick, this);
this.btnShare.on("click", this.onShareClick, this);
this.btnVideo.on("click", this.onClickVideo, this);
};
e.prototype.onClickVideo = function() {
var t = this;
l.default.instance.showVideoAd(function() {
var e = cc.sys.localStorage.getItem("money_qizi"), n = parseInt(e) + 20;
cc.sys.localStorage.setItem("money_qizi", n);
t.moneyLabel.string = "" + n;
}, function() {
u.default.instance.show("视频播放中断", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
}, "6895521173744659");
};
e.prototype.onDestroy = function() {
this.btnVideo.off("click", this.onClickVideo, this);
this.btnStart.off("click", this.onStartClick, this);
this.btnBattle.off("click", this.onBattleClick, this);
this.btnSetting.off("click", this.onSettingClick, this);
this.btnGames.off("click", this.onGamesClick, this);
this.btnShare.off("click", this.onShareClick, this);
};
e.prototype.onEnable = function() {
console.log("xianshi");
this.moneyLabel = cc.find("video/ll", this.node).getComponent(cc.Label);
var t = cc.sys.localStorage.getItem("money_qizi");
if (null == t || null == t || "" == t) {
cc.sys.localStorage.setItem("money_qizi", 100);
this.moneyLabel.string = "100";
} else this.moneyLabel.string = "" + t;
};
e.prototype.onDisable = function() {};
e.prototype.onStartClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
this.onLogin(function(t) {
if (t.status) {
var e = cc.sys.localStorage.getItem("money_qizi");
if (parseInt(e) < 20) {
u.default.instance.show("金币不足！", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return;
}
c.default.instance.mode = a.ENUM_GAME_MODE.SINGLE;
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN);
i.StaticInstance.gameManager.onGameStart();
} else u.default.instance.show(t.msg, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
});
};
e.prototype.onBattleClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
this.onLogin(function(t) {
if (t.status) {
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.HALL);
} else u.default.instance.show(t.msg, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
});
};
e.prototype.onSettingClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.setSettingStyle(0);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.SETTING);
};
e.prototype.onGamesClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MORE);
};
e.prototype.onLogin = function(t) {
var e = {
status: !1,
data: null,
msg: "授权登录失败"
};
if (c.default.instance.user && c.default.instance.user.openid) {
e.status = !0;
e.data = c.default.instance.user;
e.msg = "获得用户缓存信息";
t && t(e);
} else {
c.default.instance.user = {
openid: "",
nickname: "神秘用户",
gender: 1,
avatar: ""
};
c.default.instance.user.openid = r.uuid();
c.default.instance.save();
e.status = !0;
e.data = c.default.instance.user;
e.msg = "浏览器模式登录成功";
t && t(e);
}
};
e.prototype.onShareClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
l.default.instance.activeShare();
};
return __decorate([ f ], e);
}(s.default));
n.default = p;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../Utils": "Utils",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/SdkManager": "SdkManager",
"../manager/ToastManager": "ToastManager",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
MoreLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "9152a3E4wFB0JCSs+5/fMuT", "MoreLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("./../StaticInstance"), o = t("../manager/AudioManager"), s = t("./Baselayer"), c = t("../manager/DataManager"), r = t("../manager/PoolManager"), l = t("../plugins/UIScrollControl"), u = t("../manager/ResourceManager"), d = t("../manager/SdkManager"), f = cc._decorator, p = f.ccclass, h = (f.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnClose = null;
e.scrollNode = null;
e.scrollItem = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.btnClose = cc.find("btn_close", this.panel);
this.btnClose.on("click", this.onCloseClick, this);
this.scrollNode = cc.find("scroll", this.panel);
this.scrollItem = r.default.instance.getNode("MoreItem");
};
e.prototype.onDestroy = function() {
this.btnClose.off("click", this.onCloseClick, this);
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
this.rendor();
};
e.prototype.rendor = function() {
var t = this, e = c.default.instance.games, n = !1;
this.scrollNode.getComponent(l.default).initControl(this.scrollItem, e.length, cc.size(560, 110), 0, function(a, i) {
if (!n) {
n = !0;
t.scrollNode.getComponent(cc.ScrollView).scrollToTop();
}
var o = e[i];
a.getChildByName("icon").getComponent(cc.Sprite).spriteFrame = u.default.instance.getSprite("" + o.icon);
a.getChildByName("title").getComponent(cc.Label).string = "" + o.title;
if (a.hasEventListener("click")) {
a.off("click");
a.on("click", function() {
t.onItemClick(o);
}, t);
} else a.on("click", function() {
t.onItemClick(o);
}, t);
}, function(t) {
t.scrollToTop();
});
};
e.prototype.onDisable = function() {};
e.prototype.onItemClick = function(t) {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
var e = "undefined" == typeof window.wx ? "" + t.url : "" + t.appid;
e && d.default.instance.turnToApp(e);
};
e.prototype.onCloseClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MORE, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU);
};
return __decorate([ p ], e);
}(s.default));
n.default = h;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/PoolManager": "PoolManager",
"../manager/ResourceManager": "ResourceManager",
"../manager/SdkManager": "SdkManager",
"../plugins/UIScrollControl": "UIScrollControl",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
MsgBattleRefresh: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "272b5uT+rlPj4icYvwoSGec", "MsgBattleRefresh");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
MsgBattleRestart: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "571bfMRcF1HVobDLiI2wzbI", "MsgBattleRestart");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
MsgBattleStart: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "d7acbZ+hitN74H9s8hLTdPC", "MsgBattleStart");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
MsgHallListRefresh: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "3b5c5EZ4CtLWZ9Hb4sO6xgk", "MsgHallListRefresh");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
MsgRoomInfoRefresh: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "aa000xbTChOB59XbYTHH//n", "MsgRoomInfoRefresh");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PoolManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "a46f4A6CpBE04BZI8Amk1vE", "PoolManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = function() {
function t() {
this._dictPool = {};
this._dictPrefab = {};
}
t.getInstance = function() {
null === this._instance && (this._instance = new this());
return this._instance;
};
Object.defineProperty(t, "instance", {
get: function() {
return this.getInstance();
},
enumerable: !1,
configurable: !0
});
t.prototype.copyNode = function(t, e) {
var n = t.name;
this._dictPrefab[n] = t;
var a = null;
if (this._dictPool.hasOwnProperty(n)) a = (i = this._dictPool[n]).size() > 0 ? i.get() : cc.instantiate(t); else {
var i = new cc.NodePool();
this._dictPool[n] = i;
a = cc.instantiate(t);
}
if (e) {
a.parent = e;
a.active = !0;
}
return a;
};
t.prototype.getNode = function(t, e, n) {
var a, i;
if ("string" == typeof t) {
i = t;
if (!(a = this._dictPrefab[t])) {
console.log("Pool invalid prefab name = ", i);
return null;
}
} else {
a = t;
i = t.data.name;
}
var o = null;
if (this._dictPool.hasOwnProperty(i)) o = (s = this._dictPool[i]).size() > 0 ? s.get() : cc.instantiate(a); else {
var s = new cc.NodePool();
this._dictPool[i] = s;
o = cc.instantiate(a);
}
if (e) {
o.parent = e;
o.active = !0;
n && (o.position = n);
}
return o;
};
t.prototype.putNode = function(t, e) {
void 0 === e && (e = !1);
if (t) {
var n = t.name, a = null;
if (this._dictPool.hasOwnProperty(n)) a = this._dictPool[n]; else {
a = new cc.NodePool();
this._dictPool[n] = a;
}
a.put(t);
}
};
t.prototype.clearPool = function(t) {
this._dictPool.hasOwnProperty(t) && this._dictPool[t].clear();
};
t.prototype.setPrefab = function(t, e) {
this._dictPrefab[t] = e;
};
t.prototype.getPrefab = function(t) {
return this._dictPrefab[t];
};
t._instance = null;
return t;
}();
n.default = a;
cc._RF.pop();
}, {} ],
PtlBattleRefresh: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "f581al/ZcNHDYw1fGqaQhJP", "PtlBattleRefresh");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlBattleRestart: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "82153r8ACtECaO69w20M8V7", "PtlBattleRestart");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlBattleStart: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "ef083OcFBVONa0+ACCBAEkU", "PtlBattleStart");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlConnectLeave: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "de873EFfOpA6aKKrwEe2V4X", "PtlConnectLeave");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlConnect: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "2214dvbCTpJK7IBOlVEfnR8", "PtlConnect");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlLogin: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "6bc3b5epbNDsYP4DvNx3xFW", "PtlLogin");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlRoomCreate: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "e1cbd0j/1dHmq2bI9T1dCWZ", "PtlRoomCreate");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlRoomInfo: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "884050WyFZNoKkTWSYhzdn/", "PtlRoomInfo");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlRoomJoin: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "2e7c0uZ+M1GEKvu03Y+mU4C", "PtlRoomJoin");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
PtlRoomLeave: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "e0490KaoeJP375+tVwiV8UB", "PtlRoomLeave");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
ResourceManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "ab2a6CEvxhMQ77c3CMn4zMe", "ResourceManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Utils"), i = t("./DataManager"), o = t("./PoolManager"), s = function() {
function t() {
this.clipMap = {};
this.spriteMap = {};
this.jsonMap = {};
this.spritesMap = {};
this.spineMap = {};
this.animMap = {};
}
t.getInstance = function() {
null === this._instance && (this._instance = new this());
return this._instance;
};
Object.defineProperty(t, "instance", {
get: function() {
return this.getInstance();
},
enumerable: !1,
configurable: !0
});
t.prototype.loadRes = function(t, e) {
void 0 === e && (e = 0);
return __awaiter(this, void 0, void 0, function() {
var e = this;
return __generator(this, function() {
return [ 2, new Promise(function(n, s) {
var c = i.default.instance.loadingRate;
cc.resources.loadDir(t.path, t.content, function(e, n) {
if (t.ratio > 0) {
var a = Math.floor(100 * (c + t.ratio * e / n)) / 100;
i.default.instance.loadingRate = Math.max(a, i.default.instance.loadingRate);
}
}, function(i, c) {
i && s && s();
var r;
if ("audio" == t.type) for (var l = 0; l < c.length; l++) {
r = c[l];
e.clipMap[r.name] || (e.clipMap[r.name] = r);
}
if ("prefab" == t.type) for (l = 0; l < c.length; l++) {
r = c[l];
o.default.instance.setPrefab(r.data.name, r);
}
if ("sprite" == t.type) for (l = 0; l < c.length; l++) {
r = c[l];
e.spriteMap[r.name] || (e.spriteMap[r.name] = r);
}
if ("json" == t.type) for (l = 0; l < c.length; l++) {
r = c[l];
e.jsonMap[r.name] || (e.jsonMap[r.name] = r.json);
}
if ("atlas" == t.type) for (l = 0; l < c.length; l++) {
r = c[l];
if (!e.spritesMap[t.path + "/" + r.name]) {
var u = a.sortSpriteNameByNum(r.getSpriteFrames());
e.spritesMap[t.path + "/" + r.name] = u;
}
}
if ("sprites" == t.type && !e.spritesMap[t.path]) {
u = a.sortSpriteNameByNum(c);
e.spritesMap[t.path] = u;
}
if ("spine" == t.type) for (l = 0; l < c.length; l++) {
r = c[l];
e.spineMap[r.name] || (e.spineMap[r.name] = r);
}
if ("anim" == t.type) for (l = 0; l < c.length; l++) {
r = c[l];
e.animMap[r.name] || (e.animMap[r.name] = r);
}
n && n();
});
}) ];
});
});
};
t.prototype.getClip = function(t) {
return this.clipMap[t];
};
t.prototype.getSprite = function(t) {
return this.spriteMap[t];
};
t.prototype.getJson = function(t) {
return this.jsonMap[t];
};
t.prototype.getSprites = function(t) {
return this.spritesMap[t];
};
t.prototype.getSpine = function(t) {
return this.spineMap[t];
};
t.prototype.getAnim = function(t) {
return this.animMap[t];
};
t._instance = null;
return t;
}();
n.default = s;
cc._RF.pop();
}, {
"../Utils": "Utils",
"./DataManager": "DataManager",
"./PoolManager": "PoolManager"
} ],
RoomCreateLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "03e09ySiX9OwY7UM8jntw7/", "RoomCreateLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./../StaticInstance"), i = t("./../Enum"), o = t("../manager/AudioManager"), s = t("../manager/DataManager"), c = t("./Baselayer"), r = t("../manager/ToastManager"), l = t("../Utils"), u = cc._decorator, d = u.ccclass, f = (u.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnClose = null;
e.btnSubmit = null;
e.inputPassword = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.btnClose = cc.find("btn_close", this.panel);
this.btnSubmit = cc.find("btn_submit", this.panel);
this.btnClose.on("click", this.onCloseClick, this);
this.btnSubmit.on("click", this.onSubmitClick, this);
this.inputPassword = cc.find("password", this.panel);
};
e.prototype.onDestroy = function() {
this.btnClose.off("click", this.onCloseClick, this);
this.btnSubmit.off("click", this.onSubmitClick, this);
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
};
e.prototype.onDisable = function() {};
e.prototype.onCloseClick = function() {
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM_CREATE, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL);
};
e.prototype.onSubmitClick = function() {
return __awaiter(this, void 0, void 0, function() {
var t, e, n;
return __generator(this, function(c) {
switch (c.label) {
case 0:
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
t = this.inputPassword.getComponent(cc.EditBox).string;
if (!/^[0-9]*$/.test(t)) return [ 3, 2 ];
e = {
id: l.uuid(),
password: t,
black_openid: s.default.instance.user.openid,
white_openid: ""
};
return [ 4, s.default.instance.wsClient.callApi("RoomCreate", {
room: e
}) ];

case 1:
if (!(n = c.sent()).isSucc) {
r.default.instance.show(n.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return [ 2 ];
}
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM_CREATE, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM);
return [ 3, 3 ];

case 2:
r.default.instance.show("密码只允许数字", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
c.label = 3;

case 3:
return [ 2 ];
}
});
});
};
return __decorate([ d ], e);
}(c.default));
n.default = f;
cc._RF.pop();
}, {
"../Utils": "Utils",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/ToastManager": "ToastManager",
"./../Enum": "Enum",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
RoomJoinLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "b68f9FBryREgbtSGVH5ETBY", "RoomJoinLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./../StaticInstance"), i = t("./../Enum"), o = t("../manager/AudioManager"), s = t("../manager/DataManager"), c = t("./Baselayer"), r = t("../manager/ToastManager"), l = cc._decorator, u = l.ccclass, d = (l.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnClose = null;
e.btnSubmit = null;
e.inputPassword = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.btnClose = cc.find("btn_close", this.panel);
this.btnSubmit = cc.find("btn_submit", this.panel);
this.btnClose.on("click", this.onCloseClick, this);
this.btnSubmit.on("click", this.onSubmitClick, this);
this.inputPassword = cc.find("password", this.panel);
};
e.prototype.onDestroy = function() {
this.btnClose.off("click", this.onCloseClick, this);
this.btnSubmit.off("click", this.onSubmitClick, this);
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
};
e.prototype.onDisable = function() {};
e.prototype.onCloseClick = function() {
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM_JOIN, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL);
};
e.prototype.onSubmitClick = function() {
return __awaiter(this, void 0, void 0, function() {
var t, e, n, c;
return __generator(this, function(l) {
switch (l.label) {
case 0:
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
t = this.inputPassword.getComponent(cc.EditBox).string;
if (!/^[0-9]*$/.test(t)) return [ 3, 4 ];
e = s.default.instance.hallItem;
if (t != e.password) return [ 3, 2 ];
n = {
id: e.id,
password: e.password,
black_openid: e.black_openid,
white_openid: s.default.instance.user.openid
};
return [ 4, s.default.instance.wsClient.callApi("RoomJoin", {
room: n
}) ];

case 1:
if (!(c = l.sent()).isSucc) {
r.default.instance.show(c.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return [ 2 ];
}
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM_JOIN, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM);
return [ 3, 3 ];

case 2:
r.default.instance.show("输入密码有误", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
l.label = 3;

case 3:
return [ 3, 5 ];

case 4:
r.default.instance.show("密码只允许数字", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
l.label = 5;

case 5:
return [ 2 ];
}
});
});
};
return __decorate([ u ], e);
}(c.default));
n.default = d;
cc._RF.pop();
}, {
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/ToastManager": "ToastManager",
"./../Enum": "Enum",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
RoomLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "d1e9d3okQJERa8LQa+ebzH3", "RoomLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./../StaticInstance"), i = t("./../Enum"), o = t("../manager/AudioManager"), s = t("../manager/DataManager"), c = t("./Baselayer"), r = t("../manager/ToastManager"), l = t("../Utils"), u = t("../manager/SdkManager"), d = t("../manager/ResourceManager"), f = cc._decorator, p = f.ccclass, h = (f.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnStart = null;
e.btnExit = null;
e.btnShare = null;
e.barNode = null;
return e;
}
e.prototype.onLoad = function() {
var t = this;
this.panel = cc.find("style/panel", this.node);
this.btnStart = cc.find("btn_start", this.panel);
this.btnExit = cc.find("btn_exit", this.panel);
this.btnShare = cc.find("btn_share", this.panel);
this.btnStart.on("click", this.onStartClick, this);
this.btnExit.on("click", this.onExitClick, this);
this.btnShare.on("click", this.onShareClick, this);
this.barNode = cc.find("bar", this.panel);
s.default.instance.wsClient.listenMsg("RoomInfoRefresh", function(e) {
return t.rendor(e);
});
s.default.instance.wsClient.listenMsg("BattleStart", function(e) {
return t.onBattleStart(e);
});
};
e.prototype.onDestroy = function() {
this.btnStart.off("click", this.onStartClick, this);
this.btnExit.off("click", this.onExitClick, this);
this.btnShare.off("click", this.onShareClick, this);
s.default.instance.wsClient.unlistenMsgAll("RoomInfoRefresh");
s.default.instance.wsClient.unlistenMsgAll("BattleStart");
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
this.getRoomInfo();
};
e.prototype.getRoomInfo = function() {
var t = Object.assign(s.default.instance.user, {
win: s.default.instance.battleScore[0],
lose: s.default.instance.battleScore[1]
});
s.default.instance.wsClient.callApi("RoomInfo", {
user: t
});
};
e.prototype.rendor = function(t) {
if (a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.ROOM)) {
s.default.instance.hallItem = t;
var e = s.default.instance.user;
if (e.openid == t.black_openid) if (t.white_openid) {
this.btnStart.active = !0;
this.btnExit.active = !1;
this.btnShare.active = !1;
} else {
this.btnStart.active = !1;
this.btnExit.active = !0;
this.btnShare.active = !0;
} else {
this.btnStart.active = !1;
this.btnExit.active = !0;
this.btnShare.active = !1;
}
var n = this.barNode.getChildByName("player_black"), o = this.barNode.getChildByName("player_white");
if (t.black) {
var c = cc.find("icon/avatar", n);
t.black.avatar ? l.wxAvatar(t.black.avatar).then(function(t) {
c.getComponent(cc.Sprite).spriteFrame = new cc.SpriteFrame(t);
}) : c.getComponent(cc.Sprite).spriteFrame = d.default.instance.getSprite("111");
var r = n.getChildByName("nickname");
e.openid == t.black.openid ? r.getComponent(cc.Label).string = "你" : r.getComponent(cc.Label).string = "" + t.black.nickname;
n.active = !0;
} else n.active = !1;
if (t.white) {
var u = cc.find("icon/avatar", o);
t.white.avatar ? l.wxAvatar(t.white.avatar).then(function(t) {
u.getComponent(cc.Sprite).spriteFrame = new cc.SpriteFrame(t);
}) : u.getComponent(cc.Sprite).spriteFrame = d.default.instance.getSprite("111");
r = o.getChildByName("nickname");
e.openid == t.white.openid ? r.getComponent(cc.Label).string = "你" : r.getComponent(cc.Label).string = "" + t.white.nickname;
o.active = !0;
} else o.active = !1;
}
};
e.prototype.onDisable = function() {};
e.prototype.onStartClick = function() {
return __awaiter(this, void 0, void 0, function() {
var t;
return __generator(this, function(e) {
switch (e.label) {
case 0:
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
s.default.instance.hallItem;
return [ 4, s.default.instance.wsClient.callApi("BattleStart", s.default.instance.hallItem) ];

case 1:
if ((t = e.sent()).isSucc) return [ 3, 3 ];
r.default.instance.show(t.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return [ 4, s.default.instance.wsClient.callApi("RoomLeave", {
user: s.default.instance.user
}) ];

case 2:
e.sent();
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL);
e.label = 3;

case 3:
return [ 2 ];
}
});
});
};
e.prototype.onExitClick = function() {
return __awaiter(this, void 0, void 0, function() {
return __generator(this, function(t) {
switch (t.label) {
case 0:
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
return [ 4, s.default.instance.wsClient.callApi("RoomLeave", {
user: s.default.instance.user
}) ];

case 1:
t.sent();
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.HALL);
return [ 2 ];
}
});
});
};
e.prototype.onBattleStart = function(t) {
if (a.StaticInstance.uiManager.isActive(i.ENUM_UI_TYPE.ROOM)) {
var e = {
id: s.default.instance.hallItem.id,
password: s.default.instance.hallItem.password,
black_openid: t.black.openid,
white_openid: t.white.openid,
black: t.black,
white: t.white
};
s.default.instance.hallItem = e;
s.default.instance.battleData = t;
var n = s.default.instance.user;
s.default.instance.mode = i.ENUM_GAME_MODE.BATTLE;
if (n.openid == t.black.openid) {
s.default.instance.role = i.ENUM_PLAYER_ROLE.PLAYER_BLACK;
s.default.instance.other = t.white;
} else {
s.default.instance.role = i.ENUM_PLAYER_ROLE.PLAYER_WHITE;
s.default.instance.other = t.black;
}
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.ROOM, !1);
a.StaticInstance.uiManager.toggle(i.ENUM_UI_TYPE.MAIN);
a.StaticInstance.gameManager.onGameStart();
}
};
e.prototype.onShareClick = function() {
o.default.instance.playSound(i.ENUM_AUDIO_CLIP.CLICK);
if ("undefined" != typeof window.wx) {
var t = new Date().getTime(), e = s.default.instance.hallItem.id;
u.default.instance.activeShare({
title: "开黑走起~",
query: "roomId=" + e + "&shareTime=" + t
});
} else r.default.instance.show("仅支持小游戏平台", {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
};
return __decorate([ p ], e);
}(c.default));
n.default = h;
cc._RF.pop();
}, {
"../Utils": "Utils",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/ResourceManager": "ResourceManager",
"../manager/SdkManager": "SdkManager",
"../manager/ToastManager": "ToastManager",
"./../Enum": "Enum",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
SdkManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "63001T9hINHxKQXF9QDpdaI", "SdkManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./AudioManager"), i = (t("./ToastManager"), function() {
function t() {
this.shareTitle = "方寸棋盘等你五子连珠！";
this.shareImg = "";
this.videoId = [ "46394u31ehdg047j0f", "4e5i2hd20a1kd30f8b", "29j8ad02isjjd3v7qv" ];
this.videoAd = null;
this.interstitialId = "";
this.interstitialAd = null;
this.bannerId = "";
this.bannerAd = null;
this.custom5Id = "";
this.custom5Ad = null;
}
Object.defineProperty(t, "instance", {
get: function() {
null == this._instance && (this._instance = new t());
return this._instance;
},
enumerable: !1,
configurable: !0
});
t.prototype.getPlatform = function() {
var t = null;
cc.sys.platform == cc.sys.WECHAT_GAME ? t = window.wx : cc.sys.platform == cc.sys.WECHAT_GAME && (t = window.tt);
return t;
};
t.prototype.activeShare = function(t) {
void 0 === t && (t = {
title: "",
imageUrl: "",
query: ""
});
var e = this.getPlatform();
if (e) {
t.title = t.title || this.shareTitle;
t.imageUrl = t.imageUrl || this.shareImg;
e.shareAppMessage(t);
} else console.log("【主动分享】仅支持小游戏平台!");
};
t.prototype.passiveShare = function(t) {
void 0 === t && (t = {
title: "",
imageUrl: "",
query: ""
});
var e = this.getPlatform();
if (e) {
e.showShareMenu({
success: function() {},
fail: function() {}
});
t.title = t.title || this.shareTitle;
t.imageUrl = t.imageUrl || this.shareImg;
e.onShareAppMessage(function() {
return t;
});
} else console.log("【被动分享】仅支持小游戏平台!");
};
t.prototype.getShareQuery = function(t) {
var e = this.getPlatform();
if (e) {
var n = e.getLaunchOptionsSync().query, a = null;
n && n[t] && (a = n[t]);
return a;
}
console.log("【分享参数获取】仅支持小游戏平台!");
};
t.prototype.turnToApp = function(t) {
if ("" != t) {
var e = this.getPlatform();
e ? e.navigateToMiniProgram({
appId: t
}) : this.turnToBrowser(t);
}
};
t.prototype.turnToBrowser = function(t) {
window.open(t);
};
t.prototype.initAudioEndListener = function() {
"undefined" != typeof window.wx ? window.wx.onAudioInterruptionEnd(function() {
console.log("音频中断，恢复播放");
a.default.instance.playMusic();
}) : console.log("【音频中断监听】仅支持微信平台!");
};
t.prototype.initBannerAd = function() {
var t = this, e = this.getPlatform();
if (e) if ("" != this.bannerId) {
var n = e.getSystemInfoSync();
if (null == this.bannerAd) {
this.bannerAd = e.createBannerAd({
adUnitId: this.bannerId,
adIntervals: 10,
style: {
height: n.windowHeight - 80,
left: 0,
top: 500,
width: n.windowWidth
}
});
this.bannerAd.onResize(function() {
t.bannerAd.style.top = n.windowHeight - t.bannerAd.style.realHeight;
t.bannerAd.style.left = n.windowWidth / 2 - t.bannerAd.style.realWidth / 2;
});
this.bannerAd.onError(function() {
console.error("【流量主横幅】初始化有误");
});
}
} else console.log("【流量主】请配置横幅广告ID"); else console.log("【流量主横幅初始化】仅支持小游戏平台!");
};
t.prototype.toggleBannerAd = function(t) {
this.getPlatform() ? this.bannerAd && (t ? this.bannerAd.show() : this.bannerAd.hide()) : console.log("【流量主横幅】仅支持小游戏平台!");
};
t.prototype.initInterstitialAd = function() {
var t = this.getPlatform();
if (t) if ("" != this.interstitialId) {
if (null == this.interstitialAd) {
this.interstitialAd = t.createInterstitialAd({
adUnitId: this.interstitialId
});
this.interstitialAd.onError(function() {
console.error("【流量主插屏】初始化有误");
});
}
} else console.log("【流量主】请配置插屏广告ID"); else console.log("【流量主插屏初始化】仅支持小游戏平台!");
};
t.prototype.showInterstitialAd = function() {
this.getPlatform() ? this.interstitialAd && this.interstitialAd.show().catch(function() {
console.error("【流量主插屏】加载失败");
}) : console.log("【流量主插屏】仅支持小游戏平台!");
};
t.prototype.initVideoAd = function() {
var t = this.getPlatform();
if (t) if (this.videoId != []) {
if (null == this.videoAd) {
this.videoAd = t.createRewardedVideoAd({
adUnitId: this.videoId[Math.floor(Math.random() * this.videoId.length)]
});
this.videoAd.onError(function() {
console.error("【流量主激励】初始化有误");
});
}
} else console.log("【流量主】请配置激励视频广告ID"); else console.log("【流量主激励初始化】仅支持小游戏平台!");
};
t.prototype.init = function() {
cc.director.on("AD", this.videoEnd).bind(this);
};
t.prototype.videoEnd = function(t) {
return "成功" == t ? this.success && this.success() : this.fail && this.fail();
};
t.prototype.showVideoAd = function(t, e, n) {
this.success = t;
return t()
this.fail = e;
jsb.reflection.callStaticMethod("org/cocos2dx/javascript/AppActivity", "showAd", "(Ljava/lang/String;)V", n);
};
t.prototype.initCustom5Ad = function() {
var t = this.getPlatform();
if (t) if ("" != this.custom5Id) {
var e = t.getSystemInfoSync();
if (null == this.custom5Ad) {
this.custom5Ad = t.createCustomAd({
adUnitId: this.custom5Id,
style: {
width: e.screenWidth / 1.2,
left: (e.screenWidth - e.screenWidth / 1.2) / 2,
top: e.windowHeight / 10,
fixed: 0
}
});
this.custom5Ad.onError(function() {
console.error("【流量主格子5】初始化有误");
});
}
} else console.log("【流量主】请配置格子5广告ID"); else console.log("【格子5初始化】仅支持小游戏平台!");
};
t.prototype.showCustomAd = function(t) {
void 0 === t && (t = 5);
this.getPlatform() ? 5 == t && this.custom5Ad && this.custom5Ad.show() : console.log("【流量主格子】仅支持小游戏平台!");
};
t.prototype.getRank = function() {
"undefined" != typeof window.wx ? window.wx.postMessage({
event: "getRank"
}) : console.log("【获取排名】仅支持微信平台!");
};
t.prototype.setRank = function(t) {
"undefined" != typeof window.wx ? window.wx.postMessage({
event: "setScore",
score: t
}) : console.log("【设置排名】仅支持微信平台!", t);
};
t.prototype.getLoginCode = function(t) {
var e = {
status: !1,
data: null,
msg: "服务器异常"
};
window.wx.login({
success: function(n) {
if (n.code) {
e.status = !0;
e.data = n.code;
e.msg = "成功获取code";
t && t(e);
} else t && t(e);
},
fail: function() {
t && t(e);
}
});
};
t.prototype.getLoginInfo = function(t) {
var e = {
status: !1,
data: null,
msg: "服务器异常"
};
if ("undefined" != typeof window.wx) {
var n = window.wx.getSystemInfoSync(), a = n.screenWidth, i = n.screenHeight;
window.wx.getSetting({
success: function(n) {
if (n.authSetting["scope.userInfo"]) window.wx.getUserInfo({
success: function(n) {
var a = n.userInfo, i = {
openid: "",
nickname: a.nickName,
gender: a.gender,
avatar: a.avatarUrl
};
e.status = !0;
e.data = i;
e.msg = "已授权";
t && t(e);
},
fail: function() {
t && t(e);
}
}); else {
var o = window.wx.createUserInfoButton({
type: "text",
text: "",
style: {
left: 0,
top: 0,
width: a,
height: i,
backgroundColor: "#00000000",
color: "#ffffff",
fontSize: 20,
textAlign: "center",
lineHeight: i
}
});
o.onTap(function(n) {
if (n.userInfo) {
var a = n.userInfo, i = {
openid: "",
nickname: a.nickName,
gender: a.gender,
avatar: a.avatarUrl
};
e.status = !0;
e.data = i;
e.msg = "授权成功";
t && t(e);
o.destroy();
} else {
e.msg = "拒绝授权";
t && t(e);
o.destroy();
}
});
e.msg = "尚未授权，请先授权";
t && t(e);
}
},
fail: function() {
t && t(e);
}
});
} else {
var o = "" + new Date().getTime(), s = {
openid: "",
nickname: o = o.substring(o.length - 4),
gender: 0,
avatar: ""
};
e.status = !0;
e.data = s;
e.msg = "模拟用户数据";
t && t(e);
}
};
t._instance = null;
return t;
}());
n.default = i;
cc._RF.pop();
}, {
"./AudioManager": "AudioManager",
"./ToastManager": "ToastManager"
} ],
SettingLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "1a0aacxZX5NJqNTuBy0vbq5", "SettingLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("./../StaticInstance"), o = t("../manager/AudioManager"), s = t("./Baselayer"), c = t("../manager/DataManager"), r = t("../manager/SdkManager"), l = cc._decorator, u = l.ccclass, d = (l.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.styleNode = null;
e.musicNode = null;
e.soundNode = null;
return e;
}
e.prototype.onEnable = function() {
r.default.instance.showInterstitialAd();
};
e.prototype.onDisable = function() {};
e.prototype.onCloseClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.SETTING, !1);
};
e.prototype.onHomeClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.SETTING, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !0);
if (c.default.instance.mode == a.ENUM_GAME_MODE.BATTLE) {
c.default.instance.wsClient.callApi("ConnectLeave", {
user: c.default.instance.user
});
c.default.instance.battleScore[1] += 1;
c.default.instance.save();
}
};
e.prototype.onSoundClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
c.default.instance.isSoundOn = !c.default.instance.isSoundOn;
c.default.instance.save();
this.rendorSound();
};
e.prototype.onMusicClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
c.default.instance.isMusicOn = !c.default.instance.isMusicOn;
c.default.instance.save();
c.default.instance.isMusicOn ? o.default.instance.playMusic() : o.default.instance.stopMusic();
this.rendorMusic();
};
e.prototype.setStyle = function(t) {
this.styleNode || (this.styleNode = cc.find("style", this.node));
this.styleNode.children.forEach(function(e, n) {
e.active = t === n;
});
var e = this.styleNode.children[t], n = cc.find("buttons", e);
this.musicNode = n.getChildByName("music");
this.soundNode = n.getChildByName("sound");
this.rendorMusic();
this.rendorSound();
cc.find("btn_close", e).hasEventListener("click") || cc.find("btn_close", e).on("click", this.onCloseClick, this);
cc.find("buttons/music", e).hasEventListener("click") || cc.find("buttons/music", e).on("click", this.onMusicClick, this);
cc.find("buttons/sound", e).hasEventListener("click") || cc.find("buttons/sound", e).on("click", this.onSoundClick, this);
1 == t && (cc.find("buttons/home", e).hasEventListener("click") || cc.find("buttons/home", e).on("click", this.onHomeClick, this));
this.fadeIn(e);
};
e.prototype.rendorMusic = function() {
this.musicNode.getChildByName("on").active = c.default.instance.isMusicOn;
this.musicNode.getChildByName("off").active = !c.default.instance.isMusicOn;
};
e.prototype.rendorSound = function() {
this.soundNode.getChildByName("on").active = c.default.instance.isSoundOn;
this.soundNode.getChildByName("off").active = !c.default.instance.isSoundOn;
};
return __decorate([ u ], e);
}(s.default));
n.default = d;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/SdkManager": "SdkManager",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
ShareLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "85896vFMmNHSpFfy/xR0gvI", "ShareLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("./../StaticInstance"), o = t("../manager/AudioManager"), s = t("./Baselayer"), c = t("../manager/DataManager"), r = t("../manager/SdkManager"), l = t("../manager/ToastManager"), u = t("../Utils"), d = cc._decorator, f = d.ccclass, p = (d.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnAgree = null;
e.btnClose = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.btnAgree = cc.find("btn_agree", this.panel);
this.btnClose = cc.find("btn_close", this.panel);
this.btnAgree.on("click", this.onAgreeClick, this);
this.btnClose.on("click", this.onCloseClick, this);
};
e.prototype.onDestroy = function() {
this.btnAgree.off("click", this.onAgreeClick, this);
this.btnClose.off("click", this.onCloseClick, this);
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
};
e.prototype.onDisable = function() {};
e.prototype.onAgreeClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
this.onLogin(function(t) {
t.status ? c.default.instance.wsClient.callApi("Connect", {
user: c.default.instance.user
}).then(function(t) {
if (t.isSucc) {
var e = {
id: c.default.instance.shareRoomId,
password: "",
black_openid: "",
white_openid: c.default.instance.user.openid
};
c.default.instance.wsClient.callApi("RoomJoin", {
room: e
}).then(function(t) {
if (t.isSucc) {
for (var e = i.StaticInstance.uiManager.getActiveTypes(), n = 0; n < e.length; n++) i.StaticInstance.uiManager.toggle(e[n], !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.ROOM);
} else l.default.instance.show(t.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
});
} else l.default.instance.show(t.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
}) : l.default.instance.show(t.msg, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
});
};
e.prototype.onCloseClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.SHARE, !1);
};
e.prototype.onLogin = function(t) {
var e = this, n = {
status: !1,
data: null,
msg: "授权登录失败"
};
if (c.default.instance.user && c.default.instance.user.openid) {
n.status = !0;
n.data = c.default.instance.user;
n.msg = "获得用户缓存信息";
t && t(n);
} else r.default.instance.getLoginInfo(function(a) {
if (a.status) if (cc.sys.platform == cc.sys.WECHAT_GAME) r.default.instance.getLoginCode(function(i) {
return __awaiter(e, void 0, void 0, function() {
var e;
return __generator(this, function(o) {
switch (o.label) {
case 0:
return [ 4, c.default.instance.wsClient.callApi("Login", {
code: i.data
}) ];

case 1:
if (!(e = o.sent()).isSucc) {
console.error(e.err);
t && t(n);
return [ 2 ];
}
c.default.instance.user = a.data;
c.default.instance.user.openid = e.res.openid;
c.default.instance.save();
n.status = !0;
n.data = c.default.instance.user;
n.msg = "微信模式登录成功";
t && t(n);
return [ 2 ];
}
});
});
}); else {
c.default.instance.user = a.data;
c.default.instance.user.openid = u.uuid();
c.default.instance.save();
n.status = !0;
n.data = c.default.instance.user;
n.msg = "浏览器模式登录成功";
t && t(n);
} else {
n.msg = a.msg;
t && t(n);
}
});
};
return __decorate([ f ], e);
}(s.default));
n.default = p;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../Utils": "Utils",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/SdkManager": "SdkManager",
"../manager/ToastManager": "ToastManager",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
StaticInstance: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "93f9fIyowFCpoTxHvXyssyM", "StaticInstance");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.StaticInstance = void 0;
var a = function() {
function t() {}
t.setUIManager = function(e) {
t.uiManager = e;
};
t.setGameManager = function(e) {
t.gameManager = e;
};
t.setEffectManager = function(e) {
t.effectManager = e;
};
t.uiManager = void 0;
t.gameManager = void 0;
t.effectManager = void 0;
return t;
}();
n.StaticInstance = a;
cc._RF.pop();
}, {} ],
ToastManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "65526wGEY1OtL0HXs6ylAE2", "ToastManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = function() {
function t() {}
t.getInstance = function() {
null === this._instance && (this._instance = new this());
return this._instance;
};
Object.defineProperty(t, "instance", {
get: function() {
return this.getInstance();
},
enumerable: !1,
configurable: !0
});
t.prototype.show = function(t, e) {
void 0 === t && (t = "");
var n = void 0 === e ? {} : e, a = n.gravity, i = void 0 === a ? "CENTER" : a, o = n.duration, s = void 0 === o ? 1 : o, c = n.bg_color, r = void 0 === c ? cc.color(102, 102, 102, 200) : c, l = cc.director.getScene().getComponentInChildren(cc.Canvas), u = l.node.width, d = l.node.height, f = new cc.Node();
f.group = "ui";
var p = new cc.Node(), h = p.addComponent(cc.Label);
h.horizontalAlign = cc.Label.HorizontalAlign.CENTER;
h.verticalAlign = cc.Label.VerticalAlign.CENTER;
h.fontSize = 30;
h.string = t;
if (t.length * h.fontSize > 3 * u / 5) {
p.width = 3 * u / 5;
h.overflow = cc.Label.Overflow.RESIZE_HEIGHT;
} else p.width = t.length * h.fontSize;
var g = 1 + ~~(t.length * h.fontSize / (3 * u / 5));
p.height = h.fontSize * g;
var _ = f.addComponent(cc.Graphics);
_.arc(-p.width / 2, 0, p.height / 2 + 20, .5 * Math.PI, 1.5 * Math.PI, !0);
_.lineTo(p.width / 2, -(p.height / 2 + 20));
_.arc(p.width / 2, 0, p.height / 2 + 20, 1.5 * Math.PI, .5 * Math.PI, !0);
_.lineTo(-p.width / 2, p.height / 2 + 20);
_.fillColor = r;
_.fill();
f.addChild(p);
if ("CENTER" === i) {
f.y = 0;
f.x = 0;
} else "TOP" === i ? f.y = f.y + d / 5 * 2 : "BOTTOM" === i && (f.y = f.y - d / 5 * 2);
l.node.addChild(f);
var M = cc.callFunc(function() {
f.destroy();
}), m = cc.sequence(cc.moveBy(s, cc.v2(0, 0)), cc.fadeOut(.3), M);
cc.tween(f).then(m).start();
};
t._instance = null;
return t;
}();
n.default = a;
cc._RF.pop();
}, {} ],
UIManager: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "d8b44067ShG7IzfSj2CqGMD", "UIManager");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("./../Enum"), i = t("./../StaticInstance"), o = t("./PoolManager"), s = cc._decorator, c = s.ccclass, r = (s.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.uiMap = new Map();
return e;
}
e.prototype.onLoad = function() {
i.StaticInstance.setUIManager(this);
};
e.prototype.init = function() {
for (var t in a.ENUM_UI_TYPE) {
var e = o.default.instance.getNode(a.ENUM_UI_TYPE[t], this.node);
if (e && !this.uiMap.has(a.ENUM_UI_TYPE[t])) {
e.active = !1;
e.addComponent(a.ENUM_UI_TYPE[t]);
this.uiMap.set(a.ENUM_UI_TYPE[t], e.getComponent(a.ENUM_UI_TYPE[t]));
}
}
};
e.prototype.toggle = function(t, e, n) {
void 0 === e && (e = !0);
if (this.uiMap.has(t)) {
var a = this.uiMap.get(t);
e ? a.show() : a.hide();
n && n();
}
};
e.prototype.isActive = function(t) {
return !!this.uiMap.has(t) && this.uiMap.get(t).node.active;
};
e.prototype.getActiveTypes = function() {
var t = this, e = [];
this.uiMap.forEach(function(n, a) {
t.isActive(a) && e.push(a);
});
return e;
};
e.prototype.setSettingStyle = function(t) {
void 0 === t && (t = 0);
var e = this.uiMap.get(a.ENUM_UI_TYPE.SETTING);
null == e || e.setStyle(t);
};
e.prototype.setMainStartNotice = function() {
var t = this.uiMap.get(a.ENUM_UI_TYPE.MAIN);
null == t || t.setStartNotice();
};
e.prototype.setMainPlayerInfo = function() {
var t = this.uiMap.get(a.ENUM_UI_TYPE.MAIN);
null == t || t.setPlayerInfo();
};
e.prototype.onMainPlayerChange = function() {
var t = this.uiMap.get(a.ENUM_UI_TYPE.MAIN);
null == t || t.onPlayerChange();
};
return __decorate([ c ], e);
}(cc.Component));
n.default = r;
cc._RF.pop();
}, {
"./../Enum": "Enum",
"./../StaticInstance": "StaticInstance",
"./PoolManager": "PoolManager"
} ],
UIScrollControl: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "e6235MOwRpI+bzS2hVblkfN", "UIScrollControl");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.ScrollDirEnum = void 0;
var a;
(function(t) {
t[t.Vertical = 0] = "Vertical";
t[t.Horizon = 1] = "Horizon";
})(a = n.ScrollDirEnum || (n.ScrollDirEnum = {}));
var i = cc._decorator, o = i.ccclass, s = (i.property, function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.all_child_list = new Array();
e.distance = 0;
e.is_start = !1;
e.maxIdx = 0;
return e;
}
e.prototype.initControl = function(t, e, n, i, o, s) {
o && (this.refreshCallBack = o);
if (0 == this.is_start) {
this.scroll_rect = this.node.getComponent(cc.ScrollView);
if (null == this.scroll_rect || null == this.scroll_rect.content) return;
this.scroll_rect.content.parent.setAnchorPoint(cc.v2(.5, .5));
var c = this.scroll_rect.content.parent.getComponent(cc.Widget);
null == c && (c = this.scroll_rect.content.parent.addComponent(cc.Widget));
c.isAlignLeft = !0;
c.left = 0;
c.isAlignRight = !0;
c.right = 0;
c.isAlignTop = !0;
c.top = 0;
c.isAlignBottom = !0;
c.bottom = 0;
this._show_area_size = new cc.Size(this.scroll_rect.node.getContentSize());
this.scroll_rect.content.setContentSize(this._show_area_size);
this.start_content_size = this.scroll_rect.content.getContentSize();
}
if (null != t) {
this.scroll_rect.content.setContentSize(this.start_content_size);
this.clear();
this.total_count = e;
this.dir = i;
if (i == a.Vertical) {
this.scroll_rect.content.setAnchorPoint(cc.v2(.5, 1));
this.scroll_rect.content.setContentSize(cc.size(this.start_content_size.width, this.total_count * n.height));
this.scroll_rect.content.setPosition(cc.v2(0, -this.total_count * n.height / 2));
var r = Math.floor(this.start_content_size.height / n.height);
this.total_show_item_count = r + 2;
this.total_count <= this.total_show_item_count && (this.total_show_item_count = this.total_count);
this.distance = n.height;
} else if (i == a.Horizon) {
this.scroll_rect.content.setAnchorPoint(cc.v2(0, .5));
this.scroll_rect.content.setContentSize(cc.size(this.total_count * n.width, this.start_content_size.height));
this.scroll_rect.content.setPosition(cc.v2(this.total_count * n.width / 2, 0));
r = Math.floor(this.start_content_size.width / n.width);
this.total_show_item_count = r + 2;
this.total_count <= this.total_show_item_count && (this.total_show_item_count = this.total_count);
this.distance = n.width;
}
if (this.scroll_rect.scrollEvents.length <= 0) {
var l = new cc.Component.EventHandler();
l.target = this.node;
l.component = "UIScrollControl";
l.handler = "OnScroll";
this.scroll_rect.scrollEvents.push(l);
}
this.is_start;
this.maxIdx = 0;
this.initShowAreaItems(t, s);
}
};
e.prototype.clear = function() {
this.scroll_rect.content.removeAllChildren();
this.all_child_list = [];
};
e.prototype.initShowAreaItems = function(t, e) {
for (var n = 0; n < this.total_show_item_count; n++) {
var i = cc.v2(0, 0), o = cc.instantiate(t);
this.scroll_rect.content.addChild(o);
o.active = !0;
o.opacity = 255;
this.dir == a.Vertical ? i.y = -this.distance / 2 - this.distance * n : this.dir == a.Horizon && (i.x = this.distance / 2 + this.distance * n);
o.name = "cell_" + n;
o.setAnchorPoint(cc.v2(.5, .5));
o.setPosition(i);
this.onRefresh(o, n, n);
this.all_child_list.push(o);
}
e && e(this.scroll_rect);
};
e.prototype.OnScroll = function() {
var t = this.scroll_rect.getScrollOffset(), e = 0;
this.dir == a.Vertical ? e = t.y : this.dir == a.Horizon && (e = -t.x);
this.refreshLayout(e);
};
e.prototype.refreshLayout = function(t) {
var e = t, n = this.total_count * this.distance;
if (!(e < 0 || e + this._show_area_size.height >= n)) {
for (var a = 0, i = Math.floor(e / this.distance), o = 0; o < this.total_show_item_count; o++) {
var s = this.all_child_list[o];
a = i + o;
this.refreshItem(a, o, s);
}
this.maxIdx = i + this.total_show_item_count;
}
};
e.prototype.refreshItem = function(t, e, n) {
if (!(t < 0 || t >= this.total_count) && null != n) {
var i = cc.Vec2.ZERO;
this.dir == a.Horizon ? i.x = this.distance / 2 + this.distance * t : this.dir == a.Vertical && (i.y = -this.distance / 2 - this.distance * t);
n.setPosition(i);
this.onRefresh(n, t, e);
}
};
e.prototype.onRefresh = function(t, e, n) {
null != this.refreshCallBack && this.refreshCallBack(t, e, n);
};
return __decorate([ o ], e);
}(cc.Component));
n.default = s;
cc._RF.pop();
}, {} ],
Utils: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "1ccc3Pa3fdGUJUnDiya6JDg", "Utils");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.uuid = n.wxAvatar = n.toXY = n.getAngle = n.getDistance = n.formatSeconds = n.sortSpriteNameByNum = n.sort = n.shuffle = n.random = void 0;
n.random = function(t, e) {
return Math.floor(Math.random() * (e - t + 1)) + t;
};
n.shuffle = function(t) {
for (var e, n, a = t.length; a; ) {
n = t[e = Math.floor(Math.random() * a--)];
t[e] = t[a];
t[a] = n;
}
return t;
};
n.sort = function(t, e, n) {
void 0 === n && (n = !0);
if (t instanceof Array) return t.sort(function(t, a) {
return t[e] > a[e] ? n ? 1 : -1 : t[e] < a[e] ? n ? -1 : 1 : 0;
});
};
n.sortSpriteNameByNum = function(t) {
var e = function(t) {
return parseInt(t.match(/\d+/g)[0] || "0");
};
return t.sort(function(t, n) {
return e(t.name) - e(n.name);
});
};
n.formatSeconds = function(t, e) {
void 0 === e && (e = "h:i:s");
t = Number(t);
var n = {};
n.h = Number.parseInt(String(t / 3600));
n.i = Number.parseInt(String((t - 3600 * n.h) / 60));
n.s = Number.parseInt(String(t - 3600 * n.h - 60 * n.i));
n.h < 10 && (n.h = "0" + n.h);
n.i < 10 && (n.i = "0" + n.i);
n.s < 10 && (n.s = "0" + n.s);
return e.replace("h", n.h).replace("i", n.i).replace("s", n.s);
};
n.getDistance = function(t, e) {
var n = cc.v2(t.x - e.x, t.y - e.y);
return Math.sqrt(n.x * n.x + n.y * n.y);
};
n.getAngle = function(t, e) {
var n = e.x - t.x, a = e.y - t.y;
return -cc.v2(n, a).signAngle(cc.v2(1, 0)) / Math.PI * 180;
};
n.toXY = function(t, e) {
var n = t.convertToWorldSpaceAR(cc.v2(0, 0));
return e.convertToNodeSpaceAR(n);
};
n.wxAvatar = function(t) {
var e = new Date().getTime();
t += "?sail=" + e + ".jpg";
return new Promise(function(e, n) {
cc.loader.load(t, function(t, a) {
t && n && n();
e && e(a);
});
});
};
n.uuid = function() {
var t = new Date().getTime();
return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function(e) {
var n = (t + 16 * Math.random()) % 16 | 0;
t = Math.floor(t / 16);
return ("x" == e ? n : 3 & n | 8).toString(16);
});
};
cc._RF.pop();
}, {} ],
WinLayer: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "38aca0oW05L14APgJWH0shJ", "WinLayer");
Object.defineProperty(n, "__esModule", {
value: !0
});
var a = t("../Enum"), i = t("./../StaticInstance"), o = t("../manager/AudioManager"), s = t("./Baselayer"), c = t("../manager/SdkManager"), r = t("../manager/DataManager"), l = t("../manager/ToastManager"), u = cc._decorator, d = u.ccclass, f = (u.property, 
function(t) {
__extends(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.panel = null;
e.btnRestart = null;
e.btnShare = null;
e.btnStart = null;
e.btnStartOn = null;
e.btnStartOff = null;
e.btnExit = null;
e.singleActionNode = null;
e.battleActionNode = null;
e.backNode = null;
return e;
}
e.prototype.onLoad = function() {
this.panel = cc.find("style/panel", this.node);
this.singleActionNode = cc.find("single", this.panel);
this.battleActionNode = cc.find("battle", this.panel);
this.btnRestart = cc.find("single/btn_restart", this.panel);
this.btnShare = cc.find("single/btn_share", this.panel);
this.btnRestart.on("click", this.onRestartClick, this);
this.btnShare.on("click", this.onShareClick, this);
this.btnStart = cc.find("battle/btn_start", this.panel);
this.btnExit = cc.find("battle/btn_exit", this.panel);
this.btnStartOn = cc.find("on", this.btnStart);
this.btnStartOff = cc.find("off", this.btnStart);
this.btnStartOn.on("click", this.onStartClick, this);
this.btnExit.on("click", this.onExitClick, this);
this.backNode = cc.find("back", this.node);
this.backNode.on("click", this.onClickBack, this);
};
e.prototype.onClickBack = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.WIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MENU, !0);
};
e.prototype.onDestroy = function() {
this.btnRestart.off("click", this.onRestartClick, this);
this.btnShare.off("click", this.onShareClick, this);
this.btnStart.off("click", this.onStartClick, this);
this.btnExit.off("click", this.onExitClick, this);
this.backNode.off("click", this.onClickBack, this);
r.default.instance.wsClient.unlistenMsgAll("BattleRestart");
};
e.prototype.onEnable = function() {
this.fadeIn(this.panel);
this.singleActionNode.active = r.default.instance.mode == a.ENUM_GAME_MODE.SINGLE;
this.battleActionNode.active = r.default.instance.mode == a.ENUM_GAME_MODE.BATTLE;
this.btnStartOn.active = !0;
this.btnStartOff.active = !1;
var t = cc.sys.localStorage.getItem("money_qizi"), e = parseInt(t) + 20;
cc.sys.localStorage.setItem("money_qizi", e);
};
e.prototype.onDisable = function() {};
e.prototype.onRestartClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.WIN, !1);
i.StaticInstance.gameManager.onGameStart();
};
e.prototype.onShareClick = function() {
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
c.default.instance.activeShare();
};
e.prototype.onStartClick = function() {
return __awaiter(this, void 0, void 0, function() {
var t, e, n;
return __generator(this, function(s) {
switch (s.label) {
case 0:
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
r.default.instance.isBattleGoonTouches.push(!0);
this.btnStartOn.active = !1;
this.btnStartOff.active = !0;
t = r.default.instance.hallItem;
"";
e = r.default.instance.role == a.ENUM_PLAYER_ROLE.PLAYER_BLACK ? t.white_openid : t.black_openid;
return [ 4, r.default.instance.wsClient.callApi("BattleRestart", {
rid: t.id,
openid: e
}) ];

case 1:
if ((n = s.sent()).isSucc) return [ 3, 3 ];
l.default.instance.show(n.err.message, {
gravity: "BOTTOM",
bg_color: cc.color(226, 69, 109, 255)
});
return [ 4, r.default.instance.wsClient.callApi("RoomLeave", {
user: r.default.instance.user
}) ];

case 2:
s.sent();
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.WIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.HALL);
s.label = 3;

case 3:
r.default.instance.isBattleGoonTouches.length >= 2 && this.onGameRestart(n.res);
return [ 2 ];
}
});
});
};
e.prototype.onBattleRestart = function(t) {
if (i.StaticInstance.uiManager.isActive(a.ENUM_UI_TYPE.WIN)) {
r.default.instance.isBattleGoonTouches.push(!0);
r.default.instance.isBattleGoonTouches.length >= 2 && this.onGameRestart(t);
}
};
e.prototype.onGameRestart = function(t) {
var e = {
id: r.default.instance.hallItem.id,
password: r.default.instance.hallItem.password,
black_openid: t.black.openid,
white_openid: t.white.openid,
black: t.black,
white: t.white
};
r.default.instance.hallItem = e;
r.default.instance.battleData = t;
var n = r.default.instance.user;
r.default.instance.mode = a.ENUM_GAME_MODE.BATTLE;
if (n.openid == t.black.openid) {
r.default.instance.role = a.ENUM_PLAYER_ROLE.PLAYER_BLACK;
r.default.instance.other = t.white;
} else {
r.default.instance.role = a.ENUM_PLAYER_ROLE.PLAYER_WHITE;
r.default.instance.other = t.black;
}
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.WIN, !1);
i.StaticInstance.gameManager.onGameStart();
};
e.prototype.onExitClick = function() {
return __awaiter(this, void 0, void 0, function() {
return __generator(this, function(t) {
switch (t.label) {
case 0:
o.default.instance.playSound(a.ENUM_AUDIO_CLIP.CLICK);
return [ 4, r.default.instance.wsClient.callApi("RoomLeave", {
user: r.default.instance.user
}) ];

case 1:
t.sent();
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.MAIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.WIN, !1);
i.StaticInstance.uiManager.toggle(a.ENUM_UI_TYPE.HALL);
return [ 2 ];
}
});
});
};
return __decorate([ d ], e);
}(s.default));
n.default = f;
cc._RF.pop();
}, {
"../Enum": "Enum",
"../manager/AudioManager": "AudioManager",
"../manager/DataManager": "DataManager",
"../manager/SdkManager": "SdkManager",
"../manager/ToastManager": "ToastManager",
"./../StaticInstance": "StaticInstance",
"./Baselayer": "Baselayer"
} ],
serviceProto: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "36d99R0I7RCboKxAvs2pgEE", "serviceProto");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.serviceProto = void 0;
n.serviceProto = {
version: 19,
services: [ {
id: 13,
name: "BattleRefresh",
type: "msg"
}, {
id: 14,
name: "BattleRestart",
type: "msg"
}, {
id: 11,
name: "BattleStart",
type: "msg"
}, {
id: 3,
name: "HallListRefresh",
type: "msg"
}, {
id: 6,
name: "RoomInfoRefresh",
type: "msg"
}, {
id: 12,
name: "BattleRefresh",
type: "api"
}, {
id: 15,
name: "BattleRestart",
type: "api"
}, {
id: 9,
name: "BattleStart",
type: "api"
}, {
id: 1,
name: "Connect",
type: "api"
}, {
id: 2,
name: "ConnectLeave",
type: "api"
}, {
id: 0,
name: "Login",
type: "api"
}, {
id: 4,
name: "RoomCreate",
type: "api"
}, {
id: 7,
name: "RoomInfo",
type: "api"
}, {
id: 5,
name: "RoomJoin",
type: "api"
}, {
id: 10,
name: "RoomLeave",
type: "api"
} ],
types: {
"MsgBattleRefresh/MsgBattleRefresh": {
type: "Reference",
target: "../common/types/IBattleData"
},
"../common/types/IBattleData": {
type: "Interface",
properties: [ {
id: 3,
name: "status",
type: {
type: "Number"
},
optional: !0
}, {
id: 6,
name: "lineTag",
type: {
type: "Array",
elementType: {
type: "Number"
}
},
optional: !0
}, {
id: 4,
name: "chessTag",
type: {
type: "Number"
},
optional: !0
}, {
id: 5,
name: "chessType",
type: {
type: "Number"
},
optional: !0
}, {
id: 1,
name: "black",
type: {
type: "Union",
members: [ {
id: 2,
type: {
type: "Reference",
target: "../common/types/IUserBattle"
}
}, {
id: 1,
type: {
type: "Literal"
}
} ]
}
}, {
id: 2,
name: "white",
type: {
type: "Union",
members: [ {
id: 2,
type: {
type: "Reference",
target: "../common/types/IUserBattle"
}
}, {
id: 1,
type: {
type: "Literal"
}
} ]
}
} ]
},
"../common/types/IUserBattle": {
type: "Intersection",
members: [ {
id: 0,
type: {
type: "Reference",
target: "../common/types/IUser"
}
}, {
id: 1,
type: {
type: "Interface",
properties: [ {
id: 0,
name: "win",
type: {
type: "Number"
},
optional: !0
}, {
id: 1,
name: "lose",
type: {
type: "Number"
},
optional: !0
} ]
}
} ]
},
"../common/types/IUser": {
type: "Interface",
properties: [ {
id: 0,
name: "openid",
type: {
type: "String"
}
}, {
id: 1,
name: "nickname",
type: {
type: "String"
}
}, {
id: 2,
name: "gender",
type: {
type: "Number"
}
}, {
id: 3,
name: "avatar",
type: {
type: "String"
}
} ]
},
"MsgBattleRestart/MsgBattleRestart": {
type: "Reference",
target: "../common/types/IBattleData"
},
"MsgBattleStart/MsgBattleStart": {
type: "Reference",
target: "../common/types/IBattleData"
},
"MsgHallListRefresh/MsgHallListRefresh": {
type: "Array",
elementType: {
type: "Reference",
target: "../common/types/IHallItem"
}
},
"../common/types/IHallItem": {
type: "Intersection",
members: [ {
id: 0,
type: {
type: "Reference",
target: "../common/types/IRoom"
}
}, {
id: 3,
type: {
type: "Interface",
properties: [ {
id: 0,
name: "black",
type: {
type: "Union",
members: [ {
id: 0,
type: {
type: "Reference",
target: "../common/types/IUserBattle"
}
}, {
id: 1,
type: {
type: "Literal"
}
} ]
}
}, {
id: 1,
name: "white",
type: {
type: "Union",
members: [ {
id: 0,
type: {
type: "Reference",
target: "../common/types/IUserBattle"
}
}, {
id: 1,
type: {
type: "Literal"
}
} ]
}
} ]
}
} ]
},
"../common/types/IRoom": {
type: "Interface",
properties: [ {
id: 0,
name: "id",
type: {
type: "String"
}
}, {
id: 1,
name: "password",
type: {
type: "String"
}
}, {
id: 5,
name: "black_openid",
type: {
type: "String"
}
}, {
id: 6,
name: "white_openid",
type: {
type: "String"
}
} ]
},
"MsgRoomInfoRefresh/MsgRoomInfoRefresh": {
type: "Reference",
target: "../common/types/IHallItem"
},
"PtlBattleRefresh/ReqBattleRefresh": {
type: "Reference",
target: "../common/types/IBattleData"
},
"PtlBattleRefresh/ResBattleRefresh": {
type: "Interface"
},
"PtlBattleRestart/ReqBattleRestart": {
type: "Interface",
properties: [ {
id: 0,
name: "rid",
type: {
type: "String"
}
}, {
id: 1,
name: "openid",
type: {
type: "String"
}
} ]
},
"PtlBattleRestart/ResBattleRestart": {
type: "Reference",
target: "../common/types/IBattleData"
},
"PtlBattleStart/ReqBattleStart": {
type: "Reference",
target: "../common/types/IHallItem"
},
"PtlBattleStart/ResBattleStart": {
type: "Interface"
},
"PtlConnect/ReqConnect": {
type: "Interface",
properties: [ {
id: 0,
name: "user",
type: {
type: "Reference",
target: "../common/types/IUser"
}
} ]
},
"PtlConnect/ResConnect": {
type: "Interface"
},
"PtlConnectLeave/ReqConnectLeave": {
type: "Interface",
properties: [ {
id: 0,
name: "user",
type: {
type: "Reference",
target: "../common/types/IUser"
}
} ]
},
"PtlConnectLeave/ResConnectLeave": {
type: "Interface"
},
"PtlLogin/ReqLogin": {
type: "Interface",
properties: [ {
id: 0,
name: "code",
type: {
type: "String"
}
} ]
},
"PtlLogin/ResLogin": {
type: "Interface",
properties: [ {
id: 0,
name: "openid",
type: {
type: "String"
}
}, {
id: 1,
name: "session_key",
type: {
type: "String"
}
} ]
},
"PtlRoomCreate/ReqRoomCreate": {
type: "Interface",
properties: [ {
id: 0,
name: "room",
type: {
type: "Reference",
target: "../common/types/IRoom"
}
} ]
},
"PtlRoomCreate/ResRoomCreate": {
type: "Interface"
},
"PtlRoomInfo/ReqRoomInfo": {
type: "Interface",
properties: [ {
id: 0,
name: "user",
type: {
type: "Reference",
target: "../common/types/IUserBattle"
}
} ]
},
"PtlRoomInfo/ResRoomInfo": {
type: "Interface"
},
"PtlRoomJoin/ReqRoomJoin": {
type: "Interface",
properties: [ {
id: 0,
name: "room",
type: {
type: "Reference",
target: "../common/types/IRoom"
}
} ]
},
"PtlRoomJoin/ResRoomJoin": {
type: "Interface"
},
"PtlRoomLeave/ReqRoomLeave": {
type: "Interface",
properties: [ {
id: 0,
name: "user",
type: {
type: "Reference",
target: "../common/types/IUser"
}
} ]
},
"PtlRoomLeave/ResRoomLeave": {
type: "Interface"
}
}
};
cc._RF.pop();
}, {} ],
types: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "f2920ABJptMXq1eBK0sI0TF", "types");
Object.defineProperty(n, "__esModule", {
value: !0
});
cc._RF.pop();
}, {} ],
utils: [ function(t, e, n) {
"use strict";
cc._RF.push(e, "cd9eaozXY1Jv7rNLMeQ7UwK", "utils");
Object.defineProperty(n, "__esModule", {
value: !0
});
n.random = void 0;
n.random = function(t, e) {
return Math.floor(Math.random() * (e - t + 1)) + t;
};
cc._RF.pop();
}, {} ]
}, {}, [ "Chess", "Enum", "Index", "Line", "StaticInstance", "Utils", "Baselayer", "HallLayer", "LoadingLayer", "LoseLayer", "MainLayer", "MaskLayer", "MenuLayer", "MoreLayer", "RoomCreateLayer", "RoomJoinLayer", "RoomLayer", "SettingLayer", "ShareLayer", "WinLayer", "AudioManager", "DataManager", "EffectManager", "EventManager", "GameManager", "PoolManager", "ResourceManager", "SdkManager", "ToastManager", "UIManager", "UIScrollControl", "types", "utils", "MsgBattleRefresh", "MsgBattleRestart", "MsgBattleStart", "MsgHallListRefresh", "MsgRoomInfoRefresh", "PtlBattleRefresh", "PtlBattleRestart", "PtlBattleStart", "PtlConnect", "PtlConnectLeave", "PtlLogin", "PtlRoomCreate", "PtlRoomInfo", "PtlRoomJoin", "PtlRoomLeave", "serviceProto" ]);